//---------------------------------------------------------------------------
#define u_char unsigned char
#define s_char signed char
#define u_int unsigned int
#define s_int signed int
#define u_long unsigned long
#define s_long signed long
//---------------------------------------------------------------------------
#define LED1 PORTB.1
#define LED2 PORTB.2
#define ACC_DRDY PINC.0
#define M_DRDY PINC.1
#define _VERSION_ 10
//---------------------------------------------------------------------------
#define M_PI 3.14159
//ADXL345 full resolution => 256 LSB/g => 1g=256
#define K_ACCEL_GRAVITY 256
// ITG-3205 ( PI/(14.375*180)=0.001214142 ); scaled raw data of the gyro in radians for second
#define K_GYRO_GAIN 0.001214142

#define SYN_UART1 0xaf
#define SYN_UART2 0x50
typedef struct
{
u_char flash_ver;
float KP_RollPitch;
float KI_RollPitch;
float Yaw_Damping;
float K_AccelGravity;
float K_GyroGain;
float Accuracy;
}CNF_DATA;
//---------------------------------------------------------------------------
typedef struct
{
u_char pos;
u_char code;
u_char stat; 
}ERR_DATA;
//---------------------------------------------------------------------------
typedef struct
{
s_int Roll;
s_int Pitch;
s_int Yaw;
s_char Overload;
u_char ErrorGyro;
u_char Debug;
u_char Flags;
u_char CRC; // for SPI only!
}IMU_DATA;
//---------------------------------------------------------------------------
typedef struct 
{
float Gyro[3];
float Accel[3];
float Compass[3];
}SENSOR_DATA;
//---------------------------------------------------------------------------
enum { UART_READ_CNF=0x1, UART_WRITE_CNF=0x2, UART_SENSOR_DATA=3,
   UART_ERR_DATA=4, UART_IMU_DATA=5, UART_COMMANDS=6  };
//---------------------------------------------------------------------------
