
;CodeVisionAVR C Compiler V2.05.3 Standard
;(C) Copyright 1998-2011 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega8
;Program type             : Application
;Clock frequency          : 16.000000 MHz
;Memory model             : Small
;Optimize for             : Size
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 256 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : No
;'char' is unsigned       : Yes
;8 bit enums              : Yes
;Global 'const' stored in FLASH     : No
;Enhanced function parameter passing: Yes
;Enhanced core instructions         : On
;Smart register allocation          : On
;Automatic register allocation      : On

	#pragma AVRPART ADMIN PART_NAME ATmega8
	#pragma AVRPART MEMORY PROG_FLASH 8192
	#pragma AVRPART MEMORY EEPROM 512
	#pragma AVRPART MEMORY INT_SRAM SIZE 1119
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x60

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU GICR=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __SRAM_START=0x0060
	.EQU __SRAM_END=0x045F
	.EQU __DSTACK_SIZE=0x0100
	.EQU __HEAP_SIZE=0x0000
	.EQU __CLEAR_SRAM_SIZE=__SRAM_END-__SRAM_START+1

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTW2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	LDI  R24,BYTE3(2*@0+(@1))
	LDI  R25,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	RCALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	RCALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	RCALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	RCALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

;NAME DEFINITIONS FOR GLOBAL VARIABLES ALLOCATED TO REGISTERS
	.DEF _gTWI_stat=R5
	.DEF _gHostDbg=R4
	.DEF _gSPI_pt=R7
	.DEF _gGPS_speed=R6
	.DEF _gGPS_speedRAW=R9
	.DEF _gSendUartCnt=R8
	.DEF _gSendUartInd=R11
	.DEF _gRecUartCnt=R10
	.DEF _gRecUartType=R13
	.DEF _gRecUartInd=R12

	.CSEG
	.ORG 0x00

;START OF CODE MARKER
__START_OF_CODE:

;INTERRUPT VECTORS
	RJMP __RESET
	RJMP _ext_int0_isr
	RJMP _ext_int1_isr
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP _usart_rx_isr
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00
	RJMP 0x00

;REGISTER BIT VARIABLES INITIALIZATION
__REG_BIT_VARS:
	.DW  0x0000

_0x2040060:
	.DB  0x1
_0x2040000:
	.DB  0x2D,0x4E,0x41,0x4E,0x0,0x49,0x4E,0x46
	.DB  0x0

__GLOBAL_INI_TBL:
	.DW  0x01
	.DW  0x02
	.DW  __REG_BIT_VARS*2

	.DW  0x01
	.DW  __seed_G102
	.DW  _0x2040060*2

_0xFFFFFFFF:
	.DW  0

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  GICR,R31
	OUT  GICR,R30
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(__CLEAR_SRAM_SIZE)
	LDI  R25,HIGH(__CLEAR_SRAM_SIZE)
	LDI  R26,__SRAM_START
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	LPM  R24,Z+
	LPM  R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	LPM  R26,Z+
	LPM  R27,Z+
	LPM  R0,Z+
	LPM  R1,Z+
	MOVW R22,R30
	MOVW R30,R0
__GLOBAL_INI_LOOP:
	LPM  R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;HARDWARE STACK POINTER INITIALIZATION
	LDI  R30,LOW(__SRAM_END-__HEAP_SIZE)
	OUT  SPL,R30
	LDI  R30,HIGH(__SRAM_END-__HEAP_SIZE)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(__SRAM_START+__DSTACK_SIZE)
	LDI  R29,HIGH(__SRAM_START+__DSTACK_SIZE)

	RJMP _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x160

	.CSEG
;#include <mega8.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include <string.h>
;#include <math.h>
;#include "defined.h"
;#include "dcm.h"
;#include "uart.h"
;
;//---------------------------------------------------------------------------
;SENSOR_DATA gSensorData;
;IMU_DATA gIMU_Data;
;CNF_DATA gCnfData;
;eeprom CNF_DATA EEP_CnfData;
;u_char gTWI_stat;
;bit f_GyroUpdate;
;bit f_AccelUpdate;
;u_char gHostDbg;
;
;u_char MPU6050_Init(void);
;u_char MPU6050_GetData_Gyro(u_char f_calc);
;u_char MPU6050_GetData_Acc(void);
;//u_char HMC5883_Init();
;//u_char HMC5883_GetData(void);
;//---------------------------------------------------------------------------
;void StopFromErros(u_char pos, u_char code, u_char stat)
; 0000 001A {

	.CSEG
_StopFromErros:
; 0000 001B u_char i, f;
; 0000 001C ERR_DATA ErrData;
; 0000 001D 
; 0000 001E ErrData.pos=pos;
	ST   -Y,R26
	SBIW R28,3
	RCALL __SAVELOCR2
;	pos -> Y+7
;	code -> Y+6
;	stat -> Y+5
;	i -> R17
;	f -> R16
;	ErrData -> Y+2
	LDD  R30,Y+7
	STD  Y+2,R30
; 0000 001F ErrData.code=code;
	LDD  R30,Y+6
	STD  Y+3,R30
; 0000 0020 ErrData.stat=stat;
	LDD  R30,Y+5
	STD  Y+4,R30
; 0000 0021 f=0;
	LDI  R16,LOW(0)
; 0000 0022 while(1)
_0x3:
; 0000 0023   {
; 0000 0024   LED1=f; f=!f; LED2=f;
	CPI  R16,0
	BRNE _0x6
	CBI  0x18,1
	RJMP _0x7
_0x6:
	SBI  0x18,1
_0x7:
	MOV  R30,R16
	RCALL __LNEGB1
	MOV  R16,R30
	CPI  R16,0
	BRNE _0x8
	CBI  0x18,2
	RJMP _0x9
_0x8:
	SBI  0x18,2
_0x9:
; 0000 0025   send_UART(UART_ERR_DATA, (u_char *)&ErrData, sizeof(ERR_DATA),0);
	LDI  R30,LOW(4)
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,3
	RCALL SUBOPT_0x0
	LDI  R30,LOW(3)
	ST   -Y,R30
	LDI  R26,LOW(0)
	RCALL _send_UART
; 0000 0026   for(i=0; i<100; i++) { sending_UART(); delay_ms(10); }
	LDI  R17,LOW(0)
_0xB:
	CPI  R17,100
	BRSH _0xC
	RCALL _sending_UART
	LDI  R26,LOW(10)
	RCALL SUBOPT_0x1
	SUBI R17,-1
	RJMP _0xB
_0xC:
; 0000 0027   }
	RJMP _0x3
; 0000 0028 }
;//---------------------------------------------------------------------------
;interrupt [EXT_INT0] void ext_int0_isr(void)
; 0000 002B { //ITG3205 data ready  10ms
_ext_int0_isr:
	RCALL SUBOPT_0x2
; 0000 002C u_char err;
; 0000 002D static u_char div1=0;
; 0000 002E 
; 0000 002F #asm("sei")
;	err -> R17
	sei
; 0000 0030 err=MPU6050_GetData_Gyro(div1);
	LDS  R26,_div1_S0000001000
	RCALL _MPU6050_GetData_Gyro
	RCALL SUBOPT_0x3
; 0000 0031 if(err) StopFromErros(20, err, gTWI_stat);
	BREQ _0xD
	LDI  R30,LOW(20)
	RCALL SUBOPT_0x4
; 0000 0032 if(div1==0)
_0xD:
	LDS  R30,_div1_S0000001000
	CPI  R30,0
	BRNE _0xE
; 0000 0033   {
; 0000 0034   if(ACC_DRDY)
	SBIS 0x13,0
	RJMP _0xF
; 0000 0035     {
; 0000 0036     err=MPU6050_GetData_Acc();
	RCALL _MPU6050_GetData_Acc
	RCALL SUBOPT_0x3
; 0000 0037     if(err) StopFromErros(21, err, gTWI_stat);
	BREQ _0x10
	LDI  R30,LOW(21)
	RCALL SUBOPT_0x4
; 0000 0038     f_AccelUpdate=1;
_0x10:
	SET
	BLD  R2,1
; 0000 0039     gIMU_Data.Flags|=1;
	RCALL SUBOPT_0x5
	ORI  R30,1
	RJMP _0x45
; 0000 003A     }
; 0000 003B   else if(f_AccelUpdate==1)
_0xF:
	SBRS R2,1
	RJMP _0x12
; 0000 003C     {
; 0000 003D     //err=HMC5883_GetData();                                    
; 0000 003E     //if(err) StopFromErros(21, err, gTWI_stat);
; 0000 003F     f_AccelUpdate=0;
	CLT
	BLD  R2,1
; 0000 0040     gIMU_Data.Flags|=2;
	RCALL SUBOPT_0x5
	ORI  R30,2
_0x45:
	__PUTB1MN _gIMU_Data,9
; 0000 0041     }
; 0000 0042   }
_0x12:
; 0000 0043 if(div1) f_GyroUpdate=1;
_0xE:
	LDS  R30,_div1_S0000001000
	CPI  R30,0
	BREQ _0x13
	SET
	BLD  R2,0
; 0000 0044 div1=!div1;
_0x13:
	LDS  R30,_div1_S0000001000
	RCALL __LNEGB1
	STS  _div1_S0000001000,R30
; 0000 0045 }
	RCALL SUBOPT_0x6
	RETI
;//---------------------------------------------------------------------------
;u_char gSPI_pt;
;IMU_DATA gIMU_DataS;
;bit f_SPI_end;
;u_char gGPS_speed, gGPS_speedRAW;
;#define SIZE_IMU_DATA (sizeof(IMU_DATA)*8)
;
;#pragma optsize-
;interrupt [EXT_INT1] void ext_int1_isr(void)
; 0000 004F {// SPI Synchro
_ext_int1_isr:
	ST   -Y,R0
	ST   -Y,R26
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
; 0000 0050 u_char ch, ind, m;
; 0000 0051 
; 0000 0052 TCNT0=0x00;
	RCALL __SAVELOCR4
;	ch -> R17
;	ind -> R16
;	m -> R19
	LDI  R30,LOW(0)
	OUT  0x32,R30
; 0000 0053 if(f_SPI_end) return;
	SBRC R2,2
	RJMP _0x47
; 0000 0054 if(gSPI_pt==0) DDRD=0x12; // start sending
	TST  R7
	BRNE _0x15
	LDI  R30,LOW(18)
	OUT  0x11,R30
; 0000 0055 if(gSPI_pt<SIZE_IMU_DATA)
_0x15:
	LDI  R30,LOW(88)
	CP   R7,R30
	BRSH _0x16
; 0000 0056   { // send
; 0000 0057   m=1; m<<=(gSPI_pt & 7);
	LDI  R19,LOW(1)
	MOV  R30,R7
	ANDI R30,LOW(0x7)
	MOV  R26,R19
	RCALL __LSLB12
	MOV  R19,R30
; 0000 0058   ind=gSPI_pt>>3;
	MOV  R30,R7
	LSR  R30
	LSR  R30
	LSR  R30
	MOV  R16,R30
; 0000 0059   ch=*(((u_char *)&gIMU_DataS)+ind);
	MOV  R30,R16
	LDI  R31,0
	SUBI R30,LOW(-_gIMU_DataS)
	SBCI R31,HIGH(-_gIMU_DataS)
	LD   R17,Z
; 0000 005A   PORTD.4=(ch & m);
	MOV  R30,R19
	AND  R30,R17
	BRNE _0x17
	CBI  0x12,4
	RJMP _0x18
_0x17:
	SBI  0x12,4
_0x18:
; 0000 005B   }
; 0000 005C else if(gSPI_pt==SIZE_IMU_DATA) DDRD=0x02; // start reading
	RJMP _0x19
_0x16:
	LDI  R30,LOW(88)
	CP   R30,R7
	BRNE _0x1A
	LDI  R30,LOW(2)
	OUT  0x11,R30
; 0000 005D else
	RJMP _0x1B
_0x1A:
; 0000 005E   { // read
; 0000 005F   m=1; m<<=(gSPI_pt-(SIZE_IMU_DATA+1));
	LDI  R19,LOW(1)
	MOV  R30,R7
	SUBI R30,LOW(89)
	MOV  R26,R19
	RCALL __LSLB12
	MOV  R19,R30
; 0000 0060   if(PIND.4) gGPS_speedRAW|=m;
	SBIC 0x10,4
	OR   R9,R19
; 0000 0061   if(m==0x80) f_SPI_end=1;
	CPI  R19,128
	BRNE _0x1D
	SET
	BLD  R2,2
; 0000 0062   }
_0x1D:
_0x1B:
_0x19:
; 0000 0063 gSPI_pt++;
	INC  R7
; 0000 0064 }
_0x47:
	RCALL __LOADLOCR4
	ADIW R28,4
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	LD   R26,Y+
	LD   R0,Y+
	RETI
;#pragma optsize+
;//---------------------------------------------------------------------------
;void SPI_SetData(void)
; 0000 0068 {
_SPI_SetData:
; 0000 0069 u_char crc, i;
; 0000 006A u_char *p;
; 0000 006B 
; 0000 006C if(!f_SPI_end) return;
	RCALL __SAVELOCR4
;	crc -> R17
;	i -> R16
;	*p -> R18,R19
	SBRC R2,2
	RJMP _0x1E
	RCALL __LOADLOCR4
	RJMP _0x2080005
; 0000 006D if(TCNT0<4) return;
_0x1E:
	IN   R30,0x32
	CPI  R30,LOW(0x4)
	BRSH _0x1F
	RCALL __LOADLOCR4
	RJMP _0x2080005
; 0000 006E f_SPI_end=0;
_0x1F:
	CLT
	BLD  R2,2
; 0000 006F gSPI_pt=0;
	CLR  R7
; 0000 0070 gIMU_DataS=gIMU_Data;
	LDI  R30,LOW(_gIMU_Data)
	LDI  R31,HIGH(_gIMU_Data)
	LDI  R26,LOW(_gIMU_DataS)
	LDI  R27,HIGH(_gIMU_DataS)
	LDI  R24,11
	RCALL __COPYMML
; 0000 0071 p=(u_char *)&gIMU_DataS;
	__POINTWRM 18,19,_gIMU_DataS
; 0000 0072 for(i=0, crc=0xff; i<sizeof(IMU_DATA)-1; i++, p++) crc^=*p;
	LDI  R16,LOW(0)
	LDI  R17,LOW(255)
_0x21:
	CPI  R16,10
	BRSH _0x22
	MOVW R26,R18
	LD   R30,X
	EOR  R17,R30
	SUBI R16,-1
	RCALL SUBOPT_0x7
	RJMP _0x21
_0x22:
; 0000 0073 gIMU_DataS.CRC=crc;
	__PUTBMRN _gIMU_DataS,10,17
; 0000 0074 gGPS_speed=gGPS_speedRAW;
	MOV  R6,R9
; 0000 0075 gGPS_speedRAW=0;
	CLR  R9
; 0000 0076 }
	RCALL __LOADLOCR4
	RJMP _0x2080005
;//---------------------------------------------------------------------------
;void main(void)
; 0000 0079 {
_main:
; 0000 007A u_char err, div5;
; 0000 007B bit f_f;
; 0000 007C 
; 0000 007D // Input/Output Ports initialization
; 0000 007E // Input/Output Ports initialization
; 0000 007F // Port B initialization
; 0000 0080 // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=Out Func1=Out Func0=In
; 0000 0081 // State7=T State6=T State5=T State4=T State3=T State2=0 State1=0 State0=P
; 0000 0082 PORTB=0x01;
;	err -> R17
;	div5 -> R16
;	f_f -> R15.0
	LDI  R30,LOW(1)
	OUT  0x18,R30
; 0000 0083 DDRB=0x06;
	LDI  R30,LOW(6)
	OUT  0x17,R30
; 0000 0084 // Port C initialization
; 0000 0085 // Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 0086 // State6=T State5=P State4=P State3=T State2=T State1=P State0=P
; 0000 0087 PORTC=0x33;
	LDI  R30,LOW(51)
	OUT  0x15,R30
; 0000 0088 DDRC=0x00;
	LDI  R30,LOW(0)
	OUT  0x14,R30
; 0000 0089 // Port D initialization
; 0000 008A // Func7=In Func6=In Func5=In Func4=Out Func3=In Func2=In Func1=Out Func0=In
; 0000 008B // State7=P State6=P State5=P State4=0 State3=P State2=P State1=0 State0=P
; 0000 008C PORTD=0xED;
	LDI  R30,LOW(237)
	OUT  0x12,R30
; 0000 008D DDRD=0x12;
	LDI  R30,LOW(18)
	OUT  0x11,R30
; 0000 008E // Timer/Counter 0 initialization
; 0000 008F // Clock source: System Clock
; 0000 0090 // Clock value: 16,500 kHz
; 0000 0091 TCCR0=0x05; // 1T=~60mks
	LDI  R30,LOW(5)
	OUT  0x33,R30
; 0000 0092 TCNT0=0x00;
	LDI  R30,LOW(0)
	OUT  0x32,R30
; 0000 0093 // Timer/Counter 1 initialization
; 0000 0094 // Clock source: System Clock
; 0000 0095 // Clock value: Timer 1 Stopped
; 0000 0096 // Mode: Normal top=FFFFh
; 0000 0097 // OC1A output: Discon.
; 0000 0098 // OC1B output: Discon.
; 0000 0099 // Noise Canceler: Off
; 0000 009A // Input Capture on Falling Edge
; 0000 009B // Timer 1 Overflow Interrupt: Off
; 0000 009C // Input Capture Interrupt: Off
; 0000 009D // Compare A Match Interrupt: Off
; 0000 009E // Compare B Match Interrupt: Off
; 0000 009F TCCR1A=0x00;
	OUT  0x2F,R30
; 0000 00A0 TCCR1B=0x00;
	OUT  0x2E,R30
; 0000 00A1 TCNT1H=0x00;
	OUT  0x2D,R30
; 0000 00A2 TCNT1L=0x00;
	OUT  0x2C,R30
; 0000 00A3 ICR1H=0x00;
	OUT  0x27,R30
; 0000 00A4 ICR1L=0x00;
	OUT  0x26,R30
; 0000 00A5 OCR1AH=0x00;
	OUT  0x2B,R30
; 0000 00A6 OCR1AL=0x00;
	OUT  0x2A,R30
; 0000 00A7 OCR1BH=0x00;
	OUT  0x29,R30
; 0000 00A8 OCR1BL=0x00;
	OUT  0x28,R30
; 0000 00A9 // Timer/Counter 2 initialization
; 0000 00AA // Clock source: System Clock
; 0000 00AB // Clock value: Timer 2 Stopped
; 0000 00AC // Mode: Normal top=FFh
; 0000 00AD // OC2 output: Disconnected
; 0000 00AE ASSR=0x00;
	OUT  0x22,R30
; 0000 00AF TCCR2=0x00;
	OUT  0x25,R30
; 0000 00B0 TCNT2=0x00;
	OUT  0x24,R30
; 0000 00B1 OCR2=0x00;
	OUT  0x23,R30
; 0000 00B2 // External Interrupt(s) initialization
; 0000 00B3 // INT0: On
; 0000 00B4 // INT0 Mode: Falling Edge
; 0000 00B5 // INT1: On
; 0000 00B6 // INT1 Mode: Any change
; 0000 00B7 GICR|=0xC0;
	IN   R30,0x3B
	ORI  R30,LOW(0xC0)
	OUT  0x3B,R30
; 0000 00B8 MCUCR=0x06;
	LDI  R30,LOW(6)
	OUT  0x35,R30
; 0000 00B9 GIFR=0xC0;
	LDI  R30,LOW(192)
	OUT  0x3A,R30
; 0000 00BA // Timer(s)/Counter(s) Interrupt(s) initialization
; 0000 00BB TIMSK=0x00;
	LDI  R30,LOW(0)
	OUT  0x39,R30
; 0000 00BC // USART initialization
; 0000 00BD // Communication Parameters: 8 Data, 1 Stop, No Parity
; 0000 00BE // USART Receiver: On
; 0000 00BF // USART Transmitter: On
; 0000 00C0 // USART Mode: Asynchronous
; 0000 00C1 // USART Baud Rate: 56000
; 0000 00C2 UCSRA=0x00;
	OUT  0xB,R30
; 0000 00C3 UCSRB=0x98;
	LDI  R30,LOW(152)
	OUT  0xA,R30
; 0000 00C4 UCSRC=0x86;
	LDI  R30,LOW(134)
	OUT  0x20,R30
; 0000 00C5 UBRRH=0x00;
	LDI  R30,LOW(0)
	OUT  0x20,R30
; 0000 00C6 UBRRL=0x11;
	LDI  R30,LOW(17)
	OUT  0x9,R30
; 0000 00C7 // Analog Comparator initialization
; 0000 00C8 // Analog Comparator: Off
; 0000 00C9 // Analog Comparator Input Capture by Timer/Counter 1: Off
; 0000 00CA ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x8,R30
; 0000 00CB SFIOR=0x00;
	LDI  R30,LOW(0)
	OUT  0x30,R30
; 0000 00CC // 2 Wire Bus initialization
; 0000 00CD // Generate Acknowledge Pulse: On
; 0000 00CE // 2 Wire Bus Slave Address: 1h
; 0000 00CF // General Call Recognition: Off
; 0000 00D0 // Bit Rate: 384,000 kHz
; 0000 00D1 TWSR=0x00;
	OUT  0x1,R30
; 0000 00D2 TWBR=0x0E;
	LDI  R30,LOW(14)
	OUT  0x0,R30
; 0000 00D3 TWAR=0x02;
	LDI  R30,LOW(2)
	OUT  0x2,R30
; 0000 00D4 TWCR=0x44;
	LDI  R30,LOW(68)
	OUT  0x36,R30
; 0000 00D5 
; 0000 00D6 if(EEP_CnfData.flash_ver!=_VERSION_)
	LDI  R26,LOW(_EEP_CnfData)
	LDI  R27,HIGH(_EEP_CnfData)
	RCALL __EEPROMRDB
	CPI  R30,LOW(0xA)
	BREQ _0x23
; 0000 00D7   { // reset to default
; 0000 00D8   EEP_CnfData.flash_ver=_VERSION_;
	LDI  R26,LOW(_EEP_CnfData)
	LDI  R27,HIGH(_EEP_CnfData)
	LDI  R30,LOW(10)
	RCALL __EEPROMWRB
; 0000 00D9   EEP_CnfData.KP_RollPitch=0.5;
	__POINTW2MN _EEP_CnfData,1
	RCALL SUBOPT_0x8
	RCALL __EEPROMWRD
; 0000 00DA   EEP_CnfData.KI_RollPitch=0.002;
	__POINTW2MN _EEP_CnfData,5
	RCALL SUBOPT_0x9
; 0000 00DB   EEP_CnfData.Yaw_Damping=0.005;
	__POINTW2MN _EEP_CnfData,9
	__GETD1N 0x3BA3D70A
	RCALL __EEPROMWRD
; 0000 00DC   EEP_CnfData.Accuracy=0.002;
	__POINTW2MN _EEP_CnfData,21
	RCALL SUBOPT_0x9
; 0000 00DD   EEP_CnfData.K_AccelGravity=K_ACCEL_GRAVITY; //247
	__POINTW2MN _EEP_CnfData,13
	__GETD1N 0x43800000
	RCALL __EEPROMWRD
; 0000 00DE   EEP_CnfData.K_GyroGain=K_GYRO_GAIN/2;       //0.0007
	__POINTW2MN _EEP_CnfData,17
	__GETD1N 0x3A1F23D8
	RCALL __EEPROMWRD
; 0000 00DF   }
; 0000 00E0 gCnfData=EEP_CnfData;
_0x23:
	LDI  R30,LOW(_EEP_CnfData)
	LDI  R31,HIGH(_EEP_CnfData)
	LDI  R26,LOW(_gCnfData)
	LDI  R27,HIGH(_gCnfData)
	LDI  R24,25
	RCALL __COPYMEL
; 0000 00E1 //send_UART(UART_READ_CNF, (u_char *)&gCnfData, sizeof(CNF_DATA), 0);
; 0000 00E2 //
; 0000 00E3 err=MPU6050_Init(); if(err) StopFromErros(1, err, gTWI_stat);
	RCALL _MPU6050_Init
	RCALL SUBOPT_0x3
	BREQ _0x24
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x4
; 0000 00E4 delay_ms(1);
_0x24:
	LDI  R26,LOW(1)
	RCALL SUBOPT_0x1
; 0000 00E5 //err=HMC5883_Init(); if(err) StopFromErros(3, err, gTWI_stat);                      
; 0000 00E6 //delay_ms(1);
; 0000 00E7 f_SPI_end=1;
	SET
	BLD  R2,2
; 0000 00E8 // test leds
; 0000 00E9 delay_ms(100);
	RCALL SUBOPT_0xA
; 0000 00EA LED1=1;
	SBI  0x18,1
; 0000 00EB delay_ms(100);
	RCALL SUBOPT_0xA
; 0000 00EC LED1=0; LED2=1;
	CBI  0x18,1
	SBI  0x18,2
; 0000 00ED delay_ms(100);
	RCALL SUBOPT_0xA
; 0000 00EE LED2=0;
	CBI  0x18,2
; 0000 00EF delay_ms(100);
	RCALL SUBOPT_0xA
; 0000 00F0 //
; 0000 00F1 MPU6050_GetData_Gyro(0);
	LDI  R26,LOW(0)
	RCALL _MPU6050_GetData_Gyro
; 0000 00F2 for(div5=0; div5<3; div5++) { gSensorData.Accel[div5]=1; gSensorData.Compass[div5]=1; }
	LDI  R16,LOW(0)
_0x2E:
	CPI  R16,3
	BRSH _0x2F
	__POINTW2MN _gSensorData,12
	RCALL SUBOPT_0xB
	__POINTW2MN _gSensorData,24
	RCALL SUBOPT_0xB
	SUBI R16,-1
	RJMP _0x2E
_0x2F:
; 0000 00F3 //
; 0000 00F4 f_f=0; div5=0;
	CLT
	BLD  R15,0
	LDI  R16,LOW(0)
; 0000 00F5 #asm("sei")
	sei
; 0000 00F6 while (1)
_0x30:
; 0000 00F7   {
; 0000 00F8  SPI_SetData();
	RCALL _SPI_SetData
; 0000 00F9  if(f_GyroUpdate)
	SBRS R2,0
	RJMP _0x33
; 0000 00FA     {
; 0000 00FB     f_GyroUpdate=0;
	CLT
	BLD  R2,0
; 0000 00FC     if(++div5>=5) div5=0;
	SUBI R16,-LOW(1)
	CPI  R16,5
	BRLO _0x34
	LDI  R16,LOW(0)
; 0000 00FD     if(div5==0 || (gIMU_Data.Flags & 0x80)) { f_f=!f_f; LED1=f_f; }
_0x34:
	CPI  R16,0
	BREQ _0x36
	RCALL SUBOPT_0x5
	ANDI R30,LOW(0x80)
	BREQ _0x35
_0x36:
	LDI  R30,LOW(1)
	EOR  R15,R30
	SBRC R15,0
	RJMP _0x38
	CBI  0x18,1
	RJMP _0x39
_0x38:
	SBI  0x18,1
_0x39:
; 0000 00FE     if(gIMU_Data.Overload>25 || gIMU_Data.Overload<-25) LED2=1;
_0x35:
	__GETB2MN _gIMU_Data,6
	CPI  R26,LOW(0x1A)
	BRGE _0x3B
	__GETB2MN _gIMU_Data,6
	CPI  R26,LOW(0xE7)
	BRGE _0x3A
_0x3B:
	SBI  0x18,2
; 0000 00FF     else LED2=0;
	RJMP _0x3F
_0x3A:
	CBI  0x18,2
; 0000 0100     Matrix_update();
_0x3F:
	RCALL _Matrix_update
; 0000 0101     Accel_adjust();
	RCALL _Accel_adjust
; 0000 0102     Normalize();
	RCALL _Normalize
; 0000 0103     Drift_correction();
	RCALL _Drift_correction
; 0000 0104     Euler_angles();
	RCALL _Euler_angles
; 0000 0105     if(gHostDbg & 1)
	SBRS R4,0
	RJMP _0x42
; 0000 0106       send_UART(UART_SENSOR_DATA, (u_char *)&gSensorData, sizeof(SENSOR_DATA), 0);
	LDI  R30,LOW(3)
	ST   -Y,R30
	LDI  R30,LOW(_gSensorData)
	LDI  R31,HIGH(_gSensorData)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(36)
	RJMP _0x46
; 0000 0107     else
_0x42:
; 0000 0108       send_UART(UART_IMU_DATA, (u_char *)&gIMU_Data, sizeof(IMU_DATA),0);
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(_gIMU_Data)
	LDI  R31,HIGH(_gIMU_Data)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(11)
_0x46:
	ST   -Y,R30
	LDI  R26,LOW(0)
	RCALL _send_UART
; 0000 0109     gIMU_Data.Flags&=0x80;
	RCALL SUBOPT_0x5
	ANDI R30,LOW(0x80)
	__PUTB1MN _gIMU_Data,9
; 0000 010A     }
; 0000 010B   sending_UART();
_0x33:
	RCALL _sending_UART
; 0000 010C   }
	RJMP _0x30
; 0000 010D }
_0x44:
	RJMP _0x44
;//---------------------------------------------------------------------------
;//----------------------------------------------------------------------
;//--- UART -------------------------------------------------------------
;//----------------------------------------------------------------------
;#include <mega8.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <string.h>
;#include "defined.h"
;#include "uart.h"
;
;#define SIZE_UART_BUFF_RX 32
;#define SIZE_UART_BUFF_TX 64
;//----------------------------------------------------------------------
;extern CNF_DATA gCnfData;
;extern IMU_DATA gIMU_Data;
;extern eeprom CNF_DATA EEP_CnfData;
;extern u_char gHostDbg;
;//----------------------------------------------------------------------
;u_char gSendUartCnt;
;u_char gSendUartInd;
;u_char gSendUartBuff[2+1+1+SIZE_UART_BUFF_TX+1];
;u_char gRecUartCnt;
;u_char gRecUartType;
;u_char gRecUartInd;
;u_char gRecUartState;
;u_char gRecUartCRC;
;u_char gRecUartBuff[SIZE_UART_BUFF_RX];
;//----------------------------------------------------------------------
;//----------------------------------------------------------------------
;void sending_UART(void)
; 0001 001D {

	.CSEG
_sending_UART:
; 0001 001E if(gSendUartCnt==0) return;
	TST  R8
	BRNE _0x20003
	RET
; 0001 001F if((UCSRA & 0x20)==0) return;
_0x20003:
	SBIS 0xB,5
	RET
; 0001 0020 UDR=gSendUartBuff[gSendUartInd];
	MOV  R30,R11
	RCALL SUBOPT_0xC
	SUBI R30,LOW(-_gSendUartBuff)
	SBCI R31,HIGH(-_gSendUartBuff)
	LD   R30,Z
	OUT  0xC,R30
; 0001 0021 gSendUartInd++;
	INC  R11
; 0001 0022 if(gSendUartInd==gSendUartCnt) gSendUartCnt=0;
	CP   R8,R11
	BRNE _0x20005
	CLR  R8
; 0001 0023 }
_0x20005:
	RET
;//----------------------------------------------------------------------
;void send_UART(u_char type, u_char *buff, u_char cnt, u_char forse)
; 0001 0026 {
_send_UART:
; 0001 0027 u_char crc, i;
; 0001 0028 u_char *p;
; 0001 0029 
; 0001 002A if(forse) while(gSendUartCnt) sending_UART();
	ST   -Y,R26
	RCALL __SAVELOCR4
;	type -> Y+8
;	*buff -> Y+6
;	cnt -> Y+5
;	forse -> Y+4
;	crc -> R17
;	i -> R16
;	*p -> R18,R19
	LDD  R30,Y+4
	CPI  R30,0
	BREQ _0x20006
_0x20007:
	TST  R8
	BREQ _0x20009
	RCALL _sending_UART
	RJMP _0x20007
_0x20009:
; 0001 002B if(gSendUartCnt!=0) return;
_0x20006:
	TST  R8
	BREQ _0x2000A
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0001 002C gSendUartCnt=0;
_0x2000A:
	CLR  R8
; 0001 002D gSendUartInd=0;
	CLR  R11
; 0001 002E p=gSendUartBuff;
	__POINTWRM 18,19,_gSendUartBuff
; 0001 002F *p++=SYN_UART1;
	MOVW R26,R18
	RCALL SUBOPT_0x7
	LDI  R30,LOW(175)
	ST   X,R30
; 0001 0030 *p++=SYN_UART2;
	MOVW R26,R18
	RCALL SUBOPT_0x7
	LDI  R30,LOW(80)
	ST   X,R30
; 0001 0031 *p++=cnt;
	PUSH R19
	PUSH R18
	RCALL SUBOPT_0x7
	LDD  R30,Y+5
	POP  R26
	POP  R27
	ST   X,R30
; 0001 0032 crc=cnt;
	LDD  R17,Y+5
; 0001 0033 *p++=type;
	PUSH R19
	PUSH R18
	RCALL SUBOPT_0x7
	LDD  R30,Y+8
	POP  R26
	POP  R27
	ST   X,R30
; 0001 0034 crc^=type;
	EOR  R17,R30
; 0001 0035 for(i=0; i<cnt; i++)
	LDI  R16,LOW(0)
_0x2000C:
	LDD  R30,Y+5
	CP   R16,R30
	BRSH _0x2000D
; 0001 0036   {
; 0001 0037   crc^=buff[i];
	RCALL SUBOPT_0xD
	EOR  R17,R30
; 0001 0038   *p++=buff[i];
	PUSH R19
	PUSH R18
	RCALL SUBOPT_0x7
	RCALL SUBOPT_0xD
	POP  R26
	POP  R27
	ST   X,R30
; 0001 0039   }
	SUBI R16,-1
	RJMP _0x2000C
_0x2000D:
; 0001 003A *p=crc;
	MOV  R30,R17
	MOVW R26,R18
	ST   X,R30
; 0001 003B gSendUartCnt=2+1+1+cnt+1;
	LDD  R30,Y+5
	SUBI R30,-LOW(5)
	MOV  R8,R30
; 0001 003C }
	RCALL __LOADLOCR4
	RJMP _0x2080003
;//----------------------------------------------------------------------
;interrupt [USART_RXC] void usart_rx_isr(void)
; 0001 003F {
_usart_rx_isr:
	RCALL SUBOPT_0x2
; 0001 0040 u_char val;
; 0001 0041 
; 0001 0042 val=UDR;
;	val -> R17
	IN   R17,12
; 0001 0043 switch(gRecUartState)
	RCALL SUBOPT_0xE
; 0001 0044   {
; 0001 0045 case 0:
	CPI  R30,0
	BRNE _0x20011
; 0001 0046   if(val==SYN_UART1) gRecUartState++;
	CPI  R17,175
	BRNE _0x20012
	RCALL SUBOPT_0xF
	RCALL SUBOPT_0x10
; 0001 0047 break;
_0x20012:
	RJMP _0x20010
; 0001 0048 case 1:
_0x20011:
	CPI  R30,LOW(0x1)
	BRNE _0x20013
; 0001 0049   if(val==SYN_UART2) gRecUartState++;
	CPI  R17,80
	BRNE _0x20014
	RCALL SUBOPT_0xF
	RJMP _0x20027
; 0001 004A   else gRecUartState=0;
_0x20014:
	LDI  R30,LOW(0)
_0x20027:
	STS  _gRecUartState,R30
; 0001 004B break;
	RJMP _0x20010
; 0001 004C case 2:
_0x20013:
	CPI  R30,LOW(0x2)
	BRNE _0x20016
; 0001 004D   if(val>SIZE_UART_BUFF_RX) { gRecUartState=0; break; }
	CPI  R17,33
	BRLO _0x20017
	LDI  R30,LOW(0)
	RCALL SUBOPT_0x10
	RJMP _0x20010
; 0001 004E   gRecUartCRC=val;
_0x20017:
	STS  _gRecUartCRC,R17
; 0001 004F   gRecUartCnt=val;
	MOV  R10,R17
; 0001 0050   gRecUartState++;
	RCALL SUBOPT_0xF
	RCALL SUBOPT_0x10
; 0001 0051 break;
	RJMP _0x20010
; 0001 0052 case 3:
_0x20016:
	CPI  R30,LOW(0x3)
	BRNE _0x20018
; 0001 0053   gRecUartCRC^=val;
	RCALL SUBOPT_0x11
; 0001 0054   gRecUartType=val;
	MOV  R13,R17
; 0001 0055   gRecUartInd=0;
	CLR  R12
; 0001 0056   gRecUartState++;
	RCALL SUBOPT_0xF
	RCALL SUBOPT_0x10
; 0001 0057   if(gRecUartCnt==0) gRecUartState++;
	TST  R10
	BRNE _0x20019
	RCALL SUBOPT_0xF
	RCALL SUBOPT_0x10
; 0001 0058 break;
_0x20019:
	RJMP _0x20010
; 0001 0059 case 4:
_0x20018:
	CPI  R30,LOW(0x4)
	BRNE _0x2001A
; 0001 005A   gRecUartCRC^=val;
	RCALL SUBOPT_0x11
; 0001 005B   gRecUartBuff[gRecUartInd]=val;
	MOV  R30,R12
	RCALL SUBOPT_0xC
	SUBI R30,LOW(-_gRecUartBuff)
	SBCI R31,HIGH(-_gRecUartBuff)
	ST   Z,R17
; 0001 005C   gRecUartInd++;
	INC  R12
; 0001 005D   if(gRecUartInd==gRecUartCnt) gRecUartState++;
	CP   R10,R12
	BRNE _0x2001B
	RCALL SUBOPT_0xF
	RCALL SUBOPT_0x10
; 0001 005E break;
_0x2001B:
	RJMP _0x20010
; 0001 005F case 5:
_0x2001A:
	CPI  R30,LOW(0x5)
	BRNE _0x20010
; 0001 0060   gRecUartState=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0x10
; 0001 0061   if(val==gRecUartCRC) parsing_UART();
	LDS  R30,_gRecUartCRC
	CP   R30,R17
	BRNE _0x2001D
	RCALL _parsing_UART
; 0001 0062 break;
_0x2001D:
; 0001 0063   }
_0x20010:
; 0001 0064 }
	RCALL SUBOPT_0x6
	RETI
;//----------------------------------------------------------------------
;void parsing_UART(void)
; 0001 0067 {
_parsing_UART:
; 0001 0068 switch(gRecUartType)
	MOV  R30,R13
; 0001 0069   {
; 0001 006A   case UART_READ_CNF:
	CPI  R30,LOW(0x1)
	BRNE _0x20021
; 0001 006B     if(gRecUartCnt!=0) break;
	TST  R10
	BRNE _0x20020
; 0001 006C     send_UART(UART_READ_CNF, (u_char *)&gCnfData, sizeof(CNF_DATA),1);
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(_gCnfData)
	LDI  R31,HIGH(_gCnfData)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(25)
	RJMP _0x20028
; 0001 006D   break;
; 0001 006E   case UART_WRITE_CNF:
_0x20021:
	CPI  R30,LOW(0x2)
	BRNE _0x20023
; 0001 006F     if(gRecUartCnt!=sizeof(CNF_DATA)) break;
	LDI  R30,LOW(25)
	CP   R30,R10
	BRNE _0x20020
; 0001 0070     memcpy(&gCnfData, gRecUartBuff, sizeof(CNF_DATA));
	LDI  R30,LOW(_gCnfData)
	LDI  R31,HIGH(_gCnfData)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(_gRecUartBuff)
	LDI  R31,HIGH(_gRecUartBuff)
	RCALL SUBOPT_0x0
	LDI  R26,LOW(25)
	RCALL SUBOPT_0x12
; 0001 0071     gCnfData.flash_ver=_VERSION_;
	LDI  R30,LOW(10)
	STS  _gCnfData,R30
; 0001 0072     EEP_CnfData=gCnfData;
	LDI  R30,LOW(_gCnfData)
	LDI  R31,HIGH(_gCnfData)
	LDI  R26,LOW(_EEP_CnfData)
	LDI  R27,HIGH(_EEP_CnfData)
	LDI  R22,25
	RCALL __COPYEML
; 0001 0073     send_UART(UART_WRITE_CNF, 0, 0, 1);
	LDI  R30,LOW(2)
	RJMP _0x20029
; 0001 0074   break;
; 0001 0075   case UART_COMMANDS:
_0x20023:
	CPI  R30,LOW(0x6)
	BRNE _0x20020
; 0001 0076     if(gRecUartCnt!=1) break;
	LDI  R30,LOW(1)
	CP   R30,R10
	BRNE _0x20020
; 0001 0077     gIMU_Data.Flags&=0x7f;
	RCALL SUBOPT_0x5
	ANDI R30,0x7F
	__PUTB1MN _gIMU_Data,9
; 0001 0078     gHostDbg=gRecUartBuff[0];
	LDS  R4,_gRecUartBuff
; 0001 0079     send_UART(UART_COMMANDS, 0, 0, 1);
	LDI  R30,LOW(6)
_0x20029:
	ST   -Y,R30
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(0)
_0x20028:
	ST   -Y,R30
	LDI  R26,LOW(1)
	RCALL _send_UART
; 0001 007A   break;
; 0001 007B   }
_0x20020:
; 0001 007C }
	RET
;//------------------------------------------------------------------
;//------------------------------------------------------------------
;//------------------------------------------------------------------
;#include <string.h>
;#include <math.h>
;#include "defined.h"
;
;
;extern SENSOR_DATA gSensorData;
;extern IMU_DATA gIMU_Data;
;extern CNF_DATA gCnfData;
;extern u_char gGPS_speed;
;
;float Omega_I[3];
;float Omega_P[3];
;float Omega[3];
;float gAccel[3];
;float DCM_Matrix[3][3];
;
;#define GYRO_DT 0.02 //20ms
;#define ToRad(x) (x*0.01745329252)  // *pi/180
;//---------------------------------------------------------------------------
;//---------------------------------------------------------------------------
;//---------------------------------------------------------------------------
;void Vector_Scale(float *vectorOut, float *vectorIn, float scale2)
; 0002 0017 {

	.CSEG
_Vector_Scale:
; 0002 0018 u_char c;
; 0002 0019 for(c=0; c<3; c++) vectorOut[c]=vectorIn[c]*scale2;
	RCALL __PUTPARD2
	ST   -Y,R17
;	*vectorOut -> Y+7
;	*vectorIn -> Y+5
;	scale2 -> Y+1
;	c -> R17
	LDI  R17,LOW(0)
_0x40004:
	CPI  R17,3
	BRSH _0x40005
	RCALL SUBOPT_0x13
	RCALL SUBOPT_0x14
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x15
	RCALL SUBOPT_0x16
	RCALL SUBOPT_0x17
	RCALL __MULF12
	POP  R26
	POP  R27
	RCALL __PUTDP1
	SUBI R17,-1
	RJMP _0x40004
_0x40005:
; 0002 001A }
	RJMP _0x2080002
;//---------------------------------------------------------------------------
;void Vector_Sum(float vectorOut[3],float vectorIn1[3], float vectorIn2[3])
; 0002 001D {
_Vector_Sum:
; 0002 001E u_char c;
; 0002 001F for(c=0; c<3; c++) vectorOut[c]=vectorIn1[c]+vectorIn2[c];
	RCALL SUBOPT_0x18
	ST   -Y,R17
;	vectorOut -> Y+5
;	vectorIn1 -> Y+3
;	vectorIn2 -> Y+1
;	c -> R17
	LDI  R17,LOW(0)
_0x40007:
	CPI  R17,3
	BRSH _0x40008
	RCALL SUBOPT_0x15
	RCALL SUBOPT_0x14
	PUSH R31
	PUSH R30
	MOV  R30,R17
	LDD  R26,Y+3
	LDD  R27,Y+3+1
	RCALL SUBOPT_0x19
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	MOV  R30,R17
	LDD  R26,Y+1
	LDD  R27,Y+1+1
	RCALL SUBOPT_0x19
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __ADDF12
	POP  R26
	POP  R27
	RCALL __PUTDP1
	SUBI R17,-1
	RJMP _0x40007
_0x40008:
; 0002 0020 }
	LDD  R17,Y+0
	ADIW R28,7
	RET
;//---------------------------------------------------------------------------
;float Vector_Dot_Product(float vector1[3],float vector2[3])
; 0002 0023 { //Computes the dot product of two vectors
_Vector_Dot_Product:
; 0002 0024 float op;
; 0002 0025 u_char c;
; 0002 0026 
; 0002 0027 for(op=0, c=0; c<3; c++) op+=vector1[c]*vector2[c];
	RCALL SUBOPT_0x18
	SBIW R28,4
	ST   -Y,R17
;	vector1 -> Y+7
;	vector2 -> Y+5
;	op -> Y+1
;	c -> R17
	LDI  R30,LOW(0)
	__CLRD1S 1
	LDI  R17,LOW(0)
_0x4000A:
	CPI  R17,3
	BRSH _0x4000B
	RCALL SUBOPT_0x13
	RCALL SUBOPT_0x16
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x15
	RCALL SUBOPT_0x16
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __MULF12
	RCALL SUBOPT_0x17
	RCALL SUBOPT_0x1A
	SUBI R17,-1
	RJMP _0x4000A
_0x4000B:
; 0002 0028 return op;
	RJMP _0x2080004
; 0002 0029 }
;//---------------------------------------------------------------------------
;void Vector_Cross_Product(float vectorOut[3], float v1[3],float v2[3])
; 0002 002C { //Computes the cross product of two vectors
_Vector_Cross_Product:
; 0002 002D vectorOut[0]= (v1[1]*v2[2]) - (v1[2]*v2[1]);
	RCALL SUBOPT_0x18
;	vectorOut -> Y+4
;	v1 -> Y+2
;	v2 -> Y+0
	RCALL SUBOPT_0x1B
	RCALL SUBOPT_0x1C
	ADIW R26,8
	RCALL SUBOPT_0x1D
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x1E
	ADIW R26,4
	RCALL SUBOPT_0x1D
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x1F
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	RCALL __PUTDP1
; 0002 002E vectorOut[1]= (v1[2]*v2[0]) - (v1[0]*v2[2]);
	RCALL SUBOPT_0x1E
	RCALL SUBOPT_0x1D
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	RCALL __GETD1P
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	LD   R26,Y
	LDD  R27,Y+1
	ADIW R26,8
	RCALL __GETD1P
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __MULF12
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x1F
	__PUTD1SNS 4,4
; 0002 002F vectorOut[2]= (v1[0]*v2[1]) - (v1[1]*v2[0]);
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	RCALL __GETD1P
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	LD   R26,Y
	LDD  R27,Y+1
	ADIW R26,4
	RCALL __GETD1P
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __MULF12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x1B
	RCALL SUBOPT_0x1C
	RCALL SUBOPT_0x1D
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x1F
	__PUTD1SNS 4,8
; 0002 0030 }
	RJMP _0x2080007
;//---------------------------------------------------------------------------
;void Matrix_Multiply(float matrixOut[3][3], float a[3][3], float b[3][3])
; 0002 0033 { //Multiply two 3x3 matrixs.
_Matrix_Multiply:
; 0002 0034 u_char x, y, w;
; 0002 0035 float op[3];
; 0002 0036 
; 0002 0037 for(x=0; x<3; x++)
	RCALL SUBOPT_0x18
	SBIW R28,12
	RCALL __SAVELOCR4
;	matrixOut -> Y+20
;	a -> Y+18
;	b -> Y+16
;	x -> R17
;	y -> R16
;	w -> R19
;	op -> Y+4
	LDI  R17,LOW(0)
_0x4000D:
	CPI  R17,3
	BRLO PC+2
	RJMP _0x4000E
; 0002 0038   {
; 0002 0039   for(y=0; y<3; y++)
	LDI  R16,LOW(0)
_0x40010:
	CPI  R16,3
	BRLO PC+2
	RJMP _0x40011
; 0002 003A     {
; 0002 003B     for(w=0; w<3; w++) op[w]=a[x][w]*b[w][y];
	LDI  R19,LOW(0)
_0x40013:
	CPI  R19,3
	BRSH _0x40014
	MOV  R30,R19
	RCALL SUBOPT_0xC
	MOVW R24,R30
	MOVW R26,R28
	ADIW R26,4
	RCALL SUBOPT_0x20
	PUSH R31
	PUSH R30
	MOV  R30,R17
	RCALL SUBOPT_0xC
	__GETWRS 22,23,18
	RCALL SUBOPT_0x21
	ADD  R26,R30
	ADC  R27,R31
	MOVW R30,R24
	RCALL __LSLW2
	RCALL SUBOPT_0x16
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	MOV  R30,R19
	RCALL SUBOPT_0xC
	__GETWRS 22,23,16
	RCALL SUBOPT_0x21
	ADD  R26,R30
	ADC  R27,R31
	MOV  R30,R16
	RCALL SUBOPT_0x19
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __MULF12
	POP  R26
	POP  R27
	RCALL __PUTDP1
	SUBI R19,-1
	RJMP _0x40013
_0x40014:
; 0002 003C matrixOut[x][y]=op[0]+op[1]+op[2];
	MOV  R30,R17
	RCALL SUBOPT_0xC
	__GETWRS 22,23,20
	RCALL SUBOPT_0x21
	ADD  R26,R30
	ADC  R27,R31
	MOV  R30,R16
	RCALL SUBOPT_0x22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x23
	RCALL SUBOPT_0x24
	RCALL __ADDF12
	__GETD2S 12
	RCALL __ADDF12
	POP  R26
	POP  R27
	RCALL __PUTDP1
; 0002 003D     }
	SUBI R16,-1
	RJMP _0x40010
_0x40011:
; 0002 003E   }
	SUBI R17,-1
	RJMP _0x4000D
_0x4000E:
; 0002 003F }
	RCALL __LOADLOCR4
	ADIW R28,22
	RET
;//---------------------------------------------------------------------------
;void Accel_adjust(void)
; 0002 0042 {
_Accel_adjust:
; 0002 0043 #define N_EXPO_FILTER 10
; 0002 0044 u_char i;
; 0002 0045 float A[3];
; 0002 0046 float spd;
; 0002 0047 
; 0002 0048 spd=gGPS_speed; spd/=(3.6*9.8); //(km/h)->(m/s)->(G/W)
	SBIW R28,16
	ST   -Y,R17
;	i -> R17
;	A -> Y+5
;	spd -> Y+1
	MOV  R30,R6
	CLR  R31
	CLR  R22
	CLR  R23
	RCALL __CDF1
	RCALL SUBOPT_0x25
	RCALL SUBOPT_0x17
	__GETD1N 0x420D1EB8
	RCALL __DIVF21
	RCALL SUBOPT_0x25
; 0002 0049 A[0]=gSensorData.Accel[0];
	__GETD1MN _gSensorData,12
	RCALL SUBOPT_0x26
; 0002 004A A[1]=gSensorData.Accel[1]-(Omega[2]*spd);
	__GETD1MN _gSensorData,16
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x27
	RCALL SUBOPT_0x17
	RCALL __MULF12
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x1F
	RCALL SUBOPT_0x28
; 0002 004B A[2]=gSensorData.Accel[2]+(Omega[1]*spd);
	__GETD1MN _gSensorData,20
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x29
	RCALL SUBOPT_0x17
	RCALL __MULF12
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __ADDF12
	RCALL SUBOPT_0x2A
; 0002 004C for(i=0; i<3; i++) gAccel[i]=(A[i]+((N_EXPO_FILTER-1)*gAccel[i]))/N_EXPO_FILTER;
	LDI  R17,LOW(0)
_0x40016:
	CPI  R17,3
	BRSH _0x40017
	MOV  R30,R17
	LDI  R26,LOW(_gAccel)
	LDI  R27,HIGH(_gAccel)
	RCALL SUBOPT_0x22
	PUSH R31
	PUSH R30
	MOV  R30,R17
	RCALL SUBOPT_0xC
	MOVW R26,R28
	ADIW R26,5
	RCALL __LSLW2
	RCALL SUBOPT_0x16
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	MOV  R30,R17
	LDI  R26,LOW(_gAccel)
	LDI  R27,HIGH(_gAccel)
	RCALL SUBOPT_0x19
	RCALL SUBOPT_0x2B
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x2C
	POP  R26
	POP  R27
	RCALL __PUTDP1
	SUBI R17,-1
	RJMP _0x40016
_0x40017:
; 0002 004D }
	LDD  R17,Y+0
	RJMP _0x208000A
;//---------------------------------------------------------------------------
;/*
;void CalcVibration(void)
;{ // IIR HPF filter 5Hz
;#define N_EF 10
;float x0, y0;
;static float x1=0, x2=0, y1=0, y2=0, v=0;
;#define IIR_A0 0.638946
;#define IIR_A1 -1.277891
;#define IIR_A2 0.638946
;#define IIR_B1 -1.142981
;#define IIR_B2 0.412802
;
;x0=sqrt(Vector_Dot_Product(gSensorData.Accel, gSensorData.Accel));
;// The calculation of the vibration  (HPF IIR-filter)
;y0=(IIR_A0*x0) + (IIR_A1*x1) + (IIR_A2*x2) - (IIR_B1*y1) - (IIR_B2*y2);
;x2=x1; x1=x0; // shift x1 to x2, sample to x1
;y2=y1; y1=y0; // shift y1 to y2, result to y1
;if(y0<0) y0=-y0; //
;v=(y0+((N_EF-1)*v))/N_EF;
;gIMU_Data.Vibration=(u_char)(v*500);
;}
;*/
;//---------------------------------------------------------------------------
;void Normalize(void)
; 0002 0067 {
_Normalize:
; 0002 0068 float err;
; 0002 0069 float tmp_m[3][3];
; 0002 006A float len;
; 0002 006B u_char i, problem;
; 0002 006C 
; 0002 006D err=-Vector_Dot_Product(DCM_Matrix[0], DCM_Matrix[1])*.5; //eq.19
	SBIW R28,44
	RCALL __SAVELOCR2
;	err -> Y+42
;	tmp_m -> Y+6
;	len -> Y+2
;	i -> R17
;	problem -> R16
	RCALL SUBOPT_0x2D
	__POINTW2MN _DCM_Matrix,12
	RCALL _Vector_Dot_Product
	RCALL __ANEGF1
	RCALL SUBOPT_0x2E
	RCALL __MULF12
	__PUTD1S 42
; 0002 006E Vector_Scale(tmp_m[0], DCM_Matrix[1], err); //X eq.19
	MOVW R30,R28
	ADIW R30,6
	RCALL SUBOPT_0x0
	__POINTW1MN _DCM_Matrix,12
	RCALL SUBOPT_0x0
	RCALL SUBOPT_0x2F
; 0002 006F Vector_Scale(tmp_m[1], DCM_Matrix[0], err); //Y eq.19
	MOVW R30,R28
	ADIW R30,18
	RCALL SUBOPT_0x0
	RCALL SUBOPT_0x2D
	RCALL SUBOPT_0x2F
; 0002 0070 Vector_Sum(tmp_m[0], tmp_m[0], DCM_Matrix[0]); //X eq.19
	MOVW R30,R28
	ADIW R30,6
	RCALL SUBOPT_0x30
	LDI  R26,LOW(_DCM_Matrix)
	LDI  R27,HIGH(_DCM_Matrix)
	RCALL _Vector_Sum
; 0002 0071 Vector_Sum(tmp_m[1], tmp_m[1], DCM_Matrix[1]); //Y eq.19
	MOVW R30,R28
	ADIW R30,18
	RCALL SUBOPT_0x0
	MOVW R30,R28
	ADIW R30,20
	RCALL SUBOPT_0x0
	__POINTW2MN _DCM_Matrix,12
	RCALL _Vector_Sum
; 0002 0072 Vector_Cross_Product(tmp_m[2], tmp_m[0], tmp_m[1]); // Z=XxY //eq.20
	MOVW R30,R28
	ADIW R30,30
	RCALL SUBOPT_0x30
	MOVW R26,R28
	ADIW R26,22
	RCALL _Vector_Cross_Product
; 0002 0073 for(problem=0, i=0; i<3; i++)
	LDI  R16,LOW(0)
	LDI  R17,LOW(0)
_0x40019:
	CPI  R17,3
	BRSH _0x4001A
; 0002 0074   {
; 0002 0075   len=sqrt(Vector_Dot_Product(tmp_m[i], tmp_m[i]));
	LDI  R26,LOW(12)
	MUL  R17,R26
	MOVW R30,R0
	MOVW R26,R28
	ADIW R26,6
	RCALL SUBOPT_0x14
	RCALL SUBOPT_0x0
	MOVW R30,R0
	MOVW R26,R28
	ADIW R26,8
	RCALL SUBOPT_0x31
	RCALL SUBOPT_0x32
	__PUTD1S 2
; 0002 0076   if(len>10 || len<0.1) { problem=1; break; }
	RCALL SUBOPT_0x33
	__GETD1N 0x41200000
	RCALL __CMPF12
	BREQ PC+3
	BRCS PC+2
	RJMP _0x4001C
	RCALL SUBOPT_0x33
	__GETD1N 0x3DCCCCCD
	RCALL __CMPF12
	BRSH _0x4001B
_0x4001C:
	LDI  R16,LOW(1)
	RJMP _0x4001A
; 0002 0077   Vector_Scale(DCM_Matrix[i], tmp_m[i], 1/len);
_0x4001B:
	LDI  R26,LOW(12)
	MUL  R17,R26
	MOVW R30,R0
	MOVW R26,R30
	SUBI R30,LOW(-_DCM_Matrix)
	SBCI R31,HIGH(-_DCM_Matrix)
	RCALL SUBOPT_0x0
	MOVW R30,R26
	MOVW R26,R28
	ADIW R26,8
	RCALL SUBOPT_0x14
	RCALL SUBOPT_0x0
	__GETD1S 6
	RCALL SUBOPT_0x34
	RCALL SUBOPT_0x35
; 0002 0078   }
	SUBI R17,-1
	RJMP _0x40019
_0x4001A:
; 0002 0079 if(problem)
	CPI  R16,0
	BREQ _0x4001E
; 0002 007A   {
; 0002 007B   DCM_Matrix[0][0]=1; DCM_Matrix[0][1]=0; DCM_Matrix[0][2]=0;
	RCALL SUBOPT_0x36
	STS  _DCM_Matrix,R30
	STS  _DCM_Matrix+1,R31
	STS  _DCM_Matrix+2,R22
	STS  _DCM_Matrix+3,R23
	__POINTW1MN _DCM_Matrix,4
	RCALL SUBOPT_0x37
	__POINTW1MN _DCM_Matrix,8
	RCALL SUBOPT_0x37
; 0002 007C   DCM_Matrix[1][0]=0; DCM_Matrix[1][1]=1; DCM_Matrix[1][2]=0;
	__POINTW1MN _DCM_Matrix,12
	RCALL SUBOPT_0x37
	__POINTW1MN _DCM_Matrix,16
	RCALL SUBOPT_0x38
	__POINTW1MN _DCM_Matrix,20
	RCALL SUBOPT_0x37
; 0002 007D   DCM_Matrix[2][0]=0; DCM_Matrix[2][1]=0; DCM_Matrix[2][2]=1;
	__POINTW1MN _DCM_Matrix,24
	RCALL SUBOPT_0x37
	__POINTW1MN _DCM_Matrix,28
	RCALL SUBOPT_0x37
	__POINTW1MN _DCM_Matrix,32
	RCALL SUBOPT_0x38
; 0002 007E   }
; 0002 007F }
_0x4001E:
	RCALL __LOADLOCR2
	ADIW R28,46
	RET
;//---------------------------------------------------------------------------
;void Drift_correction(void)
; 0002 0082 { // Compensation the Roll, Pitch and Yaw drift.
_Drift_correction:
; 0002 0083 float err_v[3];
; 0002 0084 float AccelNorm[3];
; 0002 0085 float Accel_magnitude;
; 0002 0086 float Accel_weight;
; 0002 0087 float v, v1;
; 0002 0088 static u_char cn_c;
; 0002 0089 u_char i;
; 0002 008A static float Z_Matrix[3];
; 0002 008B 
; 0002 008C //----------- Roll and Pitch -------------
; 0002 008D // Calculate the magnitude of the accelerometer vector
; 0002 008E Accel_magnitude=sqrt(Vector_Dot_Product(gAccel, gAccel));
	SBIW R28,40
	ST   -Y,R17
;	err_v -> Y+29
;	AccelNorm -> Y+17
;	Accel_magnitude -> Y+13
;	Accel_weight -> Y+9
;	v -> Y+5
;	v1 -> Y+1
;	i -> R17
	LDI  R30,LOW(_gAccel)
	LDI  R31,HIGH(_gAccel)
	RCALL SUBOPT_0x0
	LDI  R26,LOW(_gAccel)
	LDI  R27,HIGH(_gAccel)
	RCALL SUBOPT_0x32
	RCALL SUBOPT_0x2A
; 0002 008F v=Accel_magnitude-1;
	__GETD1S 13
	RCALL SUBOPT_0x34
	RCALL __SUBF12
	RCALL SUBOPT_0x26
; 0002 0090 if(v>0.5) v=0.5; else if(v<-0.5) v=-0.5;
	RCALL SUBOPT_0x39
	RCALL SUBOPT_0x8
	RCALL __CMPF12
	BREQ PC+2
	BRCC PC+2
	RJMP _0x4001F
	RCALL SUBOPT_0x8
	RJMP _0x4002D
_0x4001F:
	RCALL SUBOPT_0x39
	RCALL SUBOPT_0x3A
	RCALL __CMPF12
	BRSH _0x40021
	RCALL SUBOPT_0x3A
_0x4002D:
	__PUTD1S 5
; 0002 0091 gIMU_Data.Overload=(s_char)(v*100);
_0x40021:
	RCALL SUBOPT_0x3B
	RCALL __CFD1
	__PUTB1MN _gIMU_Data,6
; 0002 0092 if(v<0) v=-v;
	LDD  R26,Y+8
	TST  R26
	BRPL _0x40022
	RCALL SUBOPT_0x3C
	RCALL __ANEGF1
	RCALL SUBOPT_0x26
; 0002 0093 Accel_weight=1 - (2*v); // Weight for accelerometer info (<0.5G = 0.0, 1G = 1.0 , >1.5G = 0.0)
_0x40022:
	RCALL SUBOPT_0x3C
	__GETD2N 0x40000000
	RCALL __MULF12
	RCALL SUBOPT_0x34
	RCALL SUBOPT_0x1F
	RCALL SUBOPT_0x28
; 0002 0094 gIMU_Data.Debug=(u_char)(Accel_weight*100);
	__GETD2S 9
	RCALL SUBOPT_0x3D
	RCALL __MULF12
	RCALL __CFD1U
	__PUTB1MN _gIMU_Data,8
; 0002 0095 //It requires the normalization of the vector Accel_Vector???
; 0002 0096 Vector_Scale(AccelNorm, gAccel, 1./Accel_magnitude);
	MOVW R30,R28
	ADIW R30,17
	RCALL SUBOPT_0x0
	LDI  R30,LOW(_gAccel)
	LDI  R31,HIGH(_gAccel)
	RCALL SUBOPT_0x0
	__GETD1S 17
	RCALL SUBOPT_0x34
	RCALL SUBOPT_0x35
; 0002 0097 // Delay data from matrix
; 0002 0098 for(i=0; i<3; i++) Z_Matrix[i]=(DCM_Matrix[2][i]+((N_EXPO_FILTER-1)*Z_Matrix[i]))/N_EXPO_FILTER;
	LDI  R17,LOW(0)
_0x40024:
	CPI  R17,3
	BRSH _0x40025
	MOV  R30,R17
	LDI  R26,LOW(_Z_Matrix_S0020007000)
	LDI  R27,HIGH(_Z_Matrix_S0020007000)
	RCALL SUBOPT_0x22
	PUSH R31
	PUSH R30
	__POINTW2MN _DCM_Matrix,24
	MOV  R30,R17
	RCALL SUBOPT_0x19
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	MOV  R30,R17
	LDI  R26,LOW(_Z_Matrix_S0020007000)
	LDI  R27,HIGH(_Z_Matrix_S0020007000)
	RCALL SUBOPT_0x19
	RCALL SUBOPT_0x2B
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL SUBOPT_0x2C
	POP  R26
	POP  R27
	RCALL __PUTDP1
	SUBI R17,-1
	RJMP _0x40024
_0x40025:
; 0002 009A Vector_Cross_Product(err_v, AccelNorm, Z_Matrix);
	RCALL SUBOPT_0x3E
	MOVW R30,R28
	ADIW R30,19
	RCALL SUBOPT_0x0
	LDI  R26,LOW(_Z_Matrix_S0020007000)
	LDI  R27,HIGH(_Z_Matrix_S0020007000)
	RCALL _Vector_Cross_Product
; 0002 009B //------------- Yaw -------------------
; 0002 009C if(!(gIMU_Data.Flags & 0x80)) err_v[2]=-Omega[2]; // Yaw damping
	RCALL SUBOPT_0x5
	ANDI R30,LOW(0x80)
	BRNE _0x40026
	RCALL SUBOPT_0x27
	RCALL __ANEGF1
	__PUTD1S 37
; 0002 009D else err_v[2]=0;
	RJMP _0x40027
_0x40026:
	LDI  R30,LOW(0)
	__CLRD1S 37
; 0002 009E /*
; 0002 009F v=sqrt(Vector_Dot_Product(gSensorData.Compass, gSensorData.Compass)); // Normalize
; 0002 00A0 Vector_Scale(gSensorData.Compass, gSensorData.Compass, 1./v);
; 0002 00A1 Vector_Cross_Product(tmp_v, DCM_Matrix[2], gSensorData.Compass); // West vector
; 0002 00A2 err_v[2]=(tmp_v[0]*DCM_Matrix[1][1])-(tmp_v[1]*DCM_Matrix[1][0]); //ErrorYaw=WESTxY
; 0002 00A3 */
; 0002 00A4 //--------
; 0002 00A5 Vector_Scale(Omega_P, err_v, gCnfData.KP_RollPitch*Accel_weight);
_0x40027:
	LDI  R30,LOW(_Omega_P)
	LDI  R31,HIGH(_Omega_P)
	RCALL SUBOPT_0x0
	MOVW R30,R28
	ADIW R30,31
	RCALL SUBOPT_0x0
	__GETD1MN _gCnfData,1
	RCALL SUBOPT_0x3F
; 0002 00A6 // Calc error
; 0002 00A7 v=sqrt(Vector_Dot_Product(err_v, err_v));
	RCALL SUBOPT_0x3E
	MOVW R26,R28
	ADIW R26,31
	RCALL SUBOPT_0x32
	RCALL SUBOPT_0x26
; 0002 00A8 //------------------------------------------------------------
; 0002 00A9 if(!(gIMU_Data.Flags & 0x80))
	RCALL SUBOPT_0x5
	ANDI R30,LOW(0x80)
	BRNE _0x40028
; 0002 00AA   { // Gyro calibrated, damping
; 0002 00AB   v1=v*1000;
	RCALL SUBOPT_0x39
	__GETD1N 0x447A0000
	RCALL __MULF12
	RCALL SUBOPT_0x25
; 0002 00AC   if(v<gCnfData.Accuracy) { if(++cn_c>=50) gIMU_Data.Flags|=0x80; return; }
	__GETD1MN _gCnfData,21
	RCALL SUBOPT_0x39
	RCALL __CMPF12
	BRSH _0x40029
	LDS  R26,_cn_c_S0020007000
	SUBI R26,-LOW(1)
	STS  _cn_c_S0020007000,R26
	CPI  R26,LOW(0x32)
	BRLO _0x4002A
	RCALL SUBOPT_0x5
	ORI  R30,0x80
	__PUTB1MN _gIMU_Data,9
_0x4002A:
	RJMP _0x208000E
; 0002 00AD   cn_c=0;
_0x40029:
	LDI  R30,LOW(0)
	STS  _cn_c_S0020007000,R30
; 0002 00AE   Vector_Scale(err_v, err_v, gCnfData.KI_RollPitch*Accel_weight);
	RCALL SUBOPT_0x3E
	MOVW R30,R28
	ADIW R30,31
	RCALL SUBOPT_0x0
	__GETD1MN _gCnfData,5
	RCALL SUBOPT_0x3F
; 0002 00AF   Vector_Sum(Omega_I, Omega_I, err_v);
	LDI  R30,LOW(_Omega_I)
	LDI  R31,HIGH(_Omega_I)
	RCALL SUBOPT_0x0
	LDI  R30,LOW(_Omega_I)
	LDI  R31,HIGH(_Omega_I)
	RCALL SUBOPT_0x0
	MOVW R26,R28
	ADIW R26,33
	RCALL _Vector_Sum
; 0002 00B0   }
; 0002 00B1 else v1=v*100;
	RJMP _0x4002B
_0x40028:
	RCALL SUBOPT_0x3B
	RCALL SUBOPT_0x25
; 0002 00B2 v1+=0.5; if(v1>100) v1=100;
_0x4002B:
	RCALL SUBOPT_0x40
	RCALL SUBOPT_0x2E
	RCALL SUBOPT_0x1A
	RCALL SUBOPT_0x17
	RCALL SUBOPT_0x3D
	RCALL __CMPF12
	BREQ PC+2
	BRCC PC+2
	RJMP _0x4002C
	RCALL SUBOPT_0x3D
	RCALL SUBOPT_0x25
; 0002 00B3 gIMU_Data.ErrorGyro=(u_char)v1;
_0x4002C:
	RCALL SUBOPT_0x40
	RCALL __CFD1U
	__PUTB1MN _gIMU_Data,7
; 0002 00B4 }
_0x208000E:
	LDD  R17,Y+0
	ADIW R28,41
	RET
;//---------------------------------------------------------------------------
;void Matrix_update(void)
; 0002 00B7 {
_Matrix_update:
; 0002 00B8 float v_tmp[3];
; 0002 00B9 float m_tmp1[3][3];
; 0002 00BA float m_tmp2[3][3];
; 0002 00BB 
; 0002 00BC Vector_Sum(v_tmp, gSensorData.Gyro, Omega_I); //adding Integrator term
	SBIW R28,63
	SBIW R28,21
;	v_tmp -> Y+72
;	m_tmp1 -> Y+36
;	m_tmp2 -> Y+0
	MOVW R30,R28
	SUBI R30,LOW(-(72))
	SBCI R31,HIGH(-(72))
	RCALL SUBOPT_0x0
	LDI  R30,LOW(_gSensorData)
	LDI  R31,HIGH(_gSensorData)
	RCALL SUBOPT_0x0
	LDI  R26,LOW(_Omega_I)
	LDI  R27,HIGH(_Omega_I)
	RCALL _Vector_Sum
; 0002 00BD Vector_Sum(Omega, v_tmp, Omega_P); //adding proportional term
	LDI  R30,LOW(_Omega)
	LDI  R31,HIGH(_Omega)
	RCALL SUBOPT_0x0
	MOVW R30,R28
	SUBI R30,LOW(-(74))
	SBCI R31,HIGH(-(74))
	RCALL SUBOPT_0x0
	LDI  R26,LOW(_Omega_P)
	LDI  R27,HIGH(_Omega_P)
	RCALL _Vector_Sum
; 0002 00BE m_tmp1[0][0]=1;
	RCALL SUBOPT_0x36
	__PUTD1S 36
; 0002 00BF m_tmp1[0][1]=-GYRO_DT*Omega[2];//-z
	RCALL SUBOPT_0x27
	RCALL SUBOPT_0x41
	__PUTD1S 40
; 0002 00C0 m_tmp1[0][2]=GYRO_DT*Omega[1]; //y
	RCALL SUBOPT_0x29
	RCALL SUBOPT_0x42
	__PUTD1S 44
; 0002 00C1 m_tmp1[1][0]=GYRO_DT*Omega[2]; //z
	RCALL SUBOPT_0x27
	RCALL SUBOPT_0x42
	__PUTD1S 48
; 0002 00C2 m_tmp1[1][1]=1;
	MOVW R30,R28
	ADIW R30,52
	RCALL SUBOPT_0x38
; 0002 00C3 m_tmp1[1][2]=-GYRO_DT*Omega[0]; //-x
	RCALL SUBOPT_0x43
	RCALL SUBOPT_0x41
	__PUTD1S 56
; 0002 00C4 m_tmp1[2][0]=-GYRO_DT*Omega[1]; //-y
	RCALL SUBOPT_0x29
	RCALL SUBOPT_0x41
	__PUTD1S 60
; 0002 00C5 m_tmp1[2][1]=GYRO_DT*Omega[0];  //x
	MOVW R30,R28
	ADIW R30,60
	ADIW R30,4
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x43
	RCALL SUBOPT_0x42
	POP  R26
	POP  R27
	RCALL __PUTDP1
; 0002 00C6 m_tmp1[2][2]=1;
	MOVW R30,R28
	ADIW R30,60
	ADIW R30,8
	RCALL SUBOPT_0x38
; 0002 00C7 Matrix_Multiply(m_tmp2, DCM_Matrix, m_tmp1); //a*b=c
	MOVW R30,R28
	RCALL SUBOPT_0x0
	RCALL SUBOPT_0x2D
	MOVW R26,R28
	ADIW R26,40
	RCALL _Matrix_Multiply
; 0002 00C8 memcpy(DCM_Matrix, m_tmp2, sizeof(DCM_Matrix) );
	RCALL SUBOPT_0x2D
	MOVW R30,R28
	ADIW R30,2
	RCALL SUBOPT_0x0
	LDI  R26,LOW(36)
	RCALL SUBOPT_0x12
; 0002 00C9 }
	ADIW R28,63
	ADIW R28,21
	RET
;//---------------------------------------------------------------------------
;//#define ACCEL_ANGLE_OUT
;void Euler_angles(void)
; 0002 00CD {
_Euler_angles:
; 0002 00CE #ifdef ACCEL_ANGLE_OUT         // Only accelerometer info (debugging purposes)
; 0002 00CF gIMU_Data.Roll=(s_int)(atan2(gAccel[1],gAccel[2])*180/M_PI); // atan2(acc_y,acc_z)
; 0002 00D0 gIMU_Data.Pitch=(s_char)(-asin(gAccel[0])*180/M_PI);   // asin(acc_x)
; 0002 00D1 gIMU_Data.Yaw=20;
; 0002 00D2 #else
; 0002 00D3 gIMU_Data.Roll=(s_int)(atan2(DCM_Matrix[2][1], DCM_Matrix[2][2])*180/M_PI);
	__GETD1MN _DCM_Matrix,28
	RCALL __PUTPARD1
	__GETD2MN _DCM_Matrix,32
	RCALL SUBOPT_0x44
	STS  _gIMU_Data,R30
	STS  _gIMU_Data+1,R31
; 0002 00D4 gIMU_Data.Pitch=-(s_char)(asin(DCM_Matrix[2][0])*180/M_PI);
	__GETD2MN _DCM_Matrix,24
	RCALL _asin
	__GETD2N 0x43340000
	RCALL __MULF12
	RCALL SUBOPT_0x45
	__GETD1N 0x40490FD0
	RCALL __DIVF21
	RCALL __CFD1
	CLR  R31
	CLR  R22
	CLR  R23
	NEG  R30
	__POINTW2MN _gIMU_Data,2
	LDI  R31,0
	SBRC R30,7
	SER  R31
	ST   X+,R30
	ST   X,R31
; 0002 00D5 gIMU_Data.Yaw=-(s_int)(atan2(DCM_Matrix[1][0],DCM_Matrix[0][0])*180/M_PI);
	__GETD1MN _DCM_Matrix,12
	RCALL __PUTPARD1
	LDS  R26,_DCM_Matrix
	LDS  R27,_DCM_Matrix+1
	LDS  R24,_DCM_Matrix+2
	LDS  R25,_DCM_Matrix+3
	RCALL SUBOPT_0x44
	CLR  R22
	CLR  R23
	RCALL __ANEGW1
	__PUTW1MN _gIMU_Data,4
; 0002 00D6 #endif
; 0002 00D7 }
	RET
;//---------------------------------------------------------------------------
;#include <mega8.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include "defined.h"
;
;// TWCR bits
;#define TWINT 0x80 // TWI Interrupt Flag
;#define TWEA  0x40 // TWI Enable Acknowledge Bit
;#define TWSTA 0x20 // TWI START Condition Bit
;#define TWSTO 0x10 // TWI STOP Condition Bit
;#define TWWC  0x8  // TWI Write Collision Flag
;#define TWEN  0x4  // TWI Enable Bit
;#define TWIE  0x1  // TWI Interrupt Enable
;// TWI states
;#define TWSR_START 0x8         // A START condition has been transmitted
;#define TWSR_REP_START 0x10    // A repeated START condition has been transmitted
;#define TWSR_SLA_W_OK 0x18     // SLA+W has been transmitted; ACK has been received
;#define TWSR_SLA_W_ERR 0x20    // SLA+W has been transmitted; NOT ACK has been received
;#define TWSR_DATA_TX_OK 0x28   // Data byte has been transmitted; ACK has been received
;#define TWSR_DATA_TX_ERR 0x30  // Data byte has been transmitted; NOT ACK has been received
;#define TWSR_A_LOST 0x38       // Arbitration lost in SLA+W or data bytes
;#define TWSR_SLA_R_OK 0x40
;#define TWSR_DATA_RX_ASK 0x50
;#define TWSR_DATA_RX_NASK 0x58
;//
;#define TWI_PROGRESS { while ((TWCR & TWINT)==0); gTWI_stat=(TWSR & 0xF8); }
;
;extern u_char gTWI_stat;
;extern SENSOR_DATA gSensorData;
;extern CNF_DATA gCnfData;
;//---------------------------------------------------------------------------------------------------
;u_char TWI_Begin(u_char addr, u_char reg)
; 0003 0020 {

	.CSEG
_TWI_Begin:
; 0003 0021 TWCR=(TWINT | TWEN | TWSTA);  // Send START condition
	ST   -Y,R26
;	addr -> Y+1
;	reg -> Y+0
	LDI  R30,LOW(164)
	OUT  0x36,R30
; 0003 0022 TWI_PROGRESS;
_0x60003:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x60003
	RCALL SUBOPT_0x46
; 0003 0023 if(gTWI_stat!=TWSR_START && gTWI_stat!=TWSR_REP_START)  return 1; // Check value of TWI Status Register.
	LDI  R30,LOW(8)
	CP   R30,R5
	BREQ _0x60007
	LDI  R30,LOW(16)
	CP   R30,R5
	BRNE _0x60008
_0x60007:
	RJMP _0x60006
_0x60008:
	LDI  R30,LOW(1)
	RJMP _0x208000D
; 0003 0024 TWDR=addr; // Load SLA_W into TWDR Register.
_0x60006:
	LDD  R30,Y+1
	RCALL SUBOPT_0x47
; 0003 0025 TWCR=(TWINT | TWEN); //Clear TWINT bit in TWCR to start transmission of address
; 0003 0026 TWI_PROGRESS;
_0x60009:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x60009
	RCALL SUBOPT_0x46
; 0003 0027 if(gTWI_stat!=TWSR_SLA_W_OK) return 2;
	LDI  R30,LOW(24)
	CP   R30,R5
	BREQ _0x6000C
	LDI  R30,LOW(2)
	RJMP _0x208000D
; 0003 0028 TWDR=reg; // Load reg into TWDR Register.
_0x6000C:
	LD   R30,Y
	RCALL SUBOPT_0x47
; 0003 0029 TWCR=(TWINT | TWEN); //Clear TWINT bit in TWCR to start transmission of register
; 0003 002A TWI_PROGRESS;
_0x6000D:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x6000D
	RCALL SUBOPT_0x46
; 0003 002B if(gTWI_stat!=TWSR_DATA_TX_OK) return 3;
	LDI  R30,LOW(40)
	CP   R30,R5
	BREQ _0x60010
	LDI  R30,LOW(3)
	RJMP _0x208000D
; 0003 002C return 0;
_0x60010:
	LDI  R30,LOW(0)
_0x208000D:
	ADIW R28,2
	RET
; 0003 002D }
;//---------------------------------------------------------------------------------------------------
;u_char TWI_SendData(u_char addr, u_char reg, u_char *data, u_char len)
; 0003 0030 {
_TWI_SendData:
; 0003 0031 u_char err;
; 0003 0032 u_int i;
; 0003 0033 u_char *p;
; 0003 0034 
; 0003 0035 err=TWI_Begin(addr, reg); if(err) return err;
	ST   -Y,R26
	RCALL __SAVELOCR6
;	addr -> Y+10
;	reg -> Y+9
;	*data -> Y+7
;	len -> Y+6
;	err -> R17
;	i -> R18,R19
;	*p -> R20,R21
	LDD  R30,Y+10
	ST   -Y,R30
	LDD  R26,Y+10
	RCALL _TWI_Begin
	RCALL SUBOPT_0x3
	BREQ _0x60011
	MOV  R30,R17
	RJMP _0x208000C
; 0003 0036 for(p=data, i=0; i<len; i++, p++)
_0x60011:
	__GETWRS 20,21,7
	__GETWRN 18,19,0
_0x60013:
	LDD  R30,Y+6
	MOVW R26,R18
	RCALL SUBOPT_0xC
	CP   R26,R30
	CPC  R27,R31
	BRSH _0x60014
; 0003 0037   {
; 0003 0038   TWDR=*p; // Load DATA into TWDR Register.
	MOVW R26,R20
	LD   R30,X
	RCALL SUBOPT_0x47
; 0003 0039   TWCR=(TWINT | TWEN); //Clear TWINT bit in TWCR to start transmission of data
; 0003 003A   TWI_PROGRESS;
_0x60015:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x60015
	RCALL SUBOPT_0x46
; 0003 003B   if(gTWI_stat!=TWSR_DATA_TX_OK) return 4;
	LDI  R30,LOW(40)
	CP   R30,R5
	BREQ _0x60018
	LDI  R30,LOW(4)
	RJMP _0x208000C
; 0003 003C   }
_0x60018:
	RCALL SUBOPT_0x7
	__ADDWRN 20,21,1
	RJMP _0x60013
_0x60014:
; 0003 003D TWCR=(TWINT | TWEN | TWSTO); // Send STOP condition
	LDI  R30,LOW(148)
	OUT  0x36,R30
; 0003 003E return 0;
	LDI  R30,LOW(0)
_0x208000C:
	RCALL __LOADLOCR6
	ADIW R28,11
	RET
; 0003 003F }
;//---------------------------------------------------------------------------------------------------
;u_char TWI_SendByte(u_char addr, u_char reg, u_char data)
; 0003 0042 {
_TWI_SendByte:
; 0003 0043 return TWI_SendData(addr, reg, &data, 1);
	ST   -Y,R26
;	addr -> Y+2
;	reg -> Y+1
;	data -> Y+0
	LDD  R30,Y+2
	ST   -Y,R30
	LDD  R30,Y+2
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,2
	RCALL SUBOPT_0x0
	LDI  R26,LOW(1)
	RCALL _TWI_SendData
	ADIW R28,3
	RET
; 0003 0044 }
;//---------------------------------------------------------------------------------------------------
;/*
;u_char TWI_RecData(u_char addr, u_char reg, u_char *data, u_char len)
;{
;u_char err;
;u_char *p;
;
;err=TWI_Begin(addr, reg); if(err) return err;
;TWCR=(TWINT | TWEN | TWSTA);  // Send START condition
;TWI_PROGRESS;
;if(gTWI_stat!=TWSR_REP_START)  return 5; // Check value of TWI Status Register.
;TWDR=(addr | 1); // Load SLA_R into TWDR Register.
;TWCR=(TWINT | TWEN); //Clear TWINT bit in TWCR to start transmission of address
;TWI_PROGRESS;
;if(gTWI_stat!=TWSR_SLA_R_OK) return 6;
;for(p=data; len>0; len--)
;  {
;  if(len==1) TWCR=(TWINT | TWEN);  // send NASK
;  else TWCR=(TWINT | TWEN | TWEA); // send ASK
;  TWI_PROGRESS;
;  if((gTWI_stat==TWSR_DATA_RX_ASK) || (gTWI_stat==TWSR_DATA_RX_NASK))
;    {
;    *p++=TWDR;
;    if(gTWI_stat==TWSR_DATA_RX_NASK) len=0;
;    }
;  else return 7;
;  }
;TWCR=(TWINT | TWEN | TWSTO); // Send STOP condition
;return 0;
;}
;*/
;//---------------------------------------------------------------------------------------------------
;u_char TWI_RecData(u_char addr, u_char reg, u_char *data, u_char l)
; 0003 0066 {
_TWI_RecData:
; 0003 0067 u_char err;
; 0003 0068 u_char *p;
; 0003 0069 
; 0003 006A err=TWI_Begin(addr, reg); if(err) return err;
	ST   -Y,R26
	RCALL __SAVELOCR4
;	addr -> Y+8
;	reg -> Y+7
;	*data -> Y+5
;	l -> Y+4
;	err -> R17
;	*p -> R18,R19
	LDD  R30,Y+8
	ST   -Y,R30
	LDD  R26,Y+8
	RCALL _TWI_Begin
	RCALL SUBOPT_0x3
	BREQ _0x60019
	MOV  R30,R17
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0003 006B TWCR=TWINT | TWSTA | TWEN;  // Send START condition
_0x60019:
	LDI  R30,LOW(164)
	OUT  0x36,R30
; 0003 006C TWI_PROGRESS;
_0x6001A:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x6001A
	RCALL SUBOPT_0x46
; 0003 006D if(gTWI_stat!=TWSR_REP_START)  return 5; // Check value of TWI Status Register.
	LDI  R30,LOW(16)
	CP   R30,R5
	BREQ _0x6001D
	LDI  R30,LOW(5)
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0003 006E TWDR=(addr | 1); // Load SLA_R into TWDR Register.
_0x6001D:
	LDD  R30,Y+8
	ORI  R30,1
	RCALL SUBOPT_0x47
; 0003 006F TWCR=(TWINT | TWEN); //Clear TWINT bit in TWCR to start transmission of address
; 0003 0070 TWI_PROGRESS;
_0x6001E:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x6001E
	RCALL SUBOPT_0x46
; 0003 0071 if(gTWI_stat!=TWSR_SLA_R_OK) return 6;
	LDI  R30,LOW(64)
	CP   R30,R5
	BREQ _0x60021
	LDI  R30,LOW(6)
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0003 0072 
; 0003 0073 for(p=data; l>0; l--)
_0x60021:
	__GETWRS 18,19,5
_0x60023:
	LDD  R26,Y+4
	CPI  R26,LOW(0x1)
	BRLO _0x60024
; 0003 0074   {
; 0003 0075   if(l==1) TWCR=(TWINT | TWEN);
	CPI  R26,LOW(0x1)
	BRNE _0x60025
	LDI  R30,LOW(132)
	RJMP _0x6003D
; 0003 0076   else TWCR=(TWINT | TWEN | TWEA);
_0x60025:
	LDI  R30,LOW(196)
_0x6003D:
	OUT  0x36,R30
; 0003 0077   TWI_PROGRESS;
_0x60027:
	IN   R30,0x36
	SBRS R30,7
	RJMP _0x60027
	RCALL SUBOPT_0x46
; 0003 0078   if(gTWI_stat==TWSR_DATA_RX_ASK || gTWI_stat==TWSR_DATA_RX_NASK)
	LDI  R30,LOW(80)
	CP   R30,R5
	BREQ _0x6002B
	LDI  R30,LOW(88)
	CP   R30,R5
	BRNE _0x6002A
_0x6002B:
; 0003 0079     {
; 0003 007A     *p++=TWDR;
	PUSH R19
	PUSH R18
	RCALL SUBOPT_0x7
	IN   R30,0x3
	POP  R26
	POP  R27
	ST   X,R30
; 0003 007B     if(gTWI_stat!=TWSR_DATA_RX_ASK) break;
	LDI  R30,LOW(80)
	CP   R30,R5
	BRNE _0x60024
; 0003 007C     }
; 0003 007D   else return 7;
	RJMP _0x6002E
_0x6002A:
	LDI  R30,LOW(7)
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0003 007E   }
_0x6002E:
	LDD  R30,Y+4
	SUBI R30,LOW(1)
	STD  Y+4,R30
	RJMP _0x60023
_0x60024:
; 0003 007F TWCR=TWINT | TWEN | TWSTO; // Send STOP condition
	LDI  R30,LOW(148)
	OUT  0x36,R30
; 0003 0080 return 0;
	LDI  R30,LOW(0)
	RCALL __LOADLOCR4
	RJMP _0x2080003
; 0003 0081 }
;
;//---------------------------------------------------------------------------------------------------
;//--- MPU6050 ---
;//---------------------------------------------------------------------------------------------------
;#define MPU6050_ADDRESS 0x68       // 0x68  address pin AD0 low (GND)
;//                                    0x69  address pin AD0 high (VCC)
;//---------------------------------------------------------------------------------------------------
;//defined(MPU6050_LPF_256HZ) 0    //Default settings LPF 256Hz/8000Hz sample
;//defined(MPU6050_LPF_188HZ) 1
;//defined(MPU6050_LPF_98HZ)  2
;//defined(MPU6050_LPF_42HZ)  3
;//defined(MPU6050_LPF_20HZ)  4
;//defined(MPU6050_LPF_10HZ)  5
;//defined(MPU6050_LPF_5HZ)   6
;
;u_char MPU6050_Init(void)
; 0003 0092 {
_MPU6050_Init:
; 0003 0093 u_char err;
; 0003 0094 err=TWI_SendByte(MPU6050_ADDRESS<<1, 0x6B, 0x80);             //PWR_MGMT_1    -- DEVICE_RESET 1
	ST   -Y,R17
;	err -> R17
	RCALL SUBOPT_0x48
	LDI  R26,LOW(128)
	RCALL SUBOPT_0x49
; 0003 0095 if(err) return err;
	BRNE _0x208000B
; 0003 0096 delay_ms(1000);
	LDI  R26,LOW(1000)
	LDI  R27,HIGH(1000)
	RCALL _delay_ms
; 0003 0097 err=TWI_SendByte(MPU6050_ADDRESS<<1, 0x6B, 0x01);             //PWR_MGMT_1    -- SLEEP 0; CYCLE 0; TEMP_DIS 0; CLKSEL 3 (PLL with X Gyro reference)
	RCALL SUBOPT_0x48
	LDI  R26,LOW(1)
	RCALL SUBOPT_0x49
; 0003 0098 if(err) return err;
	BRNE _0x208000B
; 0003 0099 err=TWI_SendByte(MPU6050_ADDRESS<<1, 0x19, 0x09);             //Fsample = 1kHz / (9 + 1) = 100Hz, or 10ms per sample
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(25)
	ST   -Y,R30
	LDI  R26,LOW(9)
	RCALL SUBOPT_0x49
; 0003 009A if(err) return err;
	BRNE _0x208000B
; 0003 009B err=TWI_SendByte(MPU6050_ADDRESS<<1, 0x1A, 0x04);              //LPF_CFG = 0 => ACC bandwidth = 260Hz  GYRO bandwidth = 256Hz)
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(26)
	ST   -Y,R30
	LDI  R26,LOW(4)
	RCALL SUBOPT_0x49
; 0003 009C if(err) return err;
	BRNE _0x208000B
; 0003 009D err=TWI_SendByte(MPU6050_ADDRESS<<1,  0x1B, 0x18);             //GYRO_CONFIG   -- FS_SEL = 3: Full scale set to 2000 deg/sec
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(27)
	ST   -Y,R30
	LDI  R26,LOW(24)
	RCALL SUBOPT_0x49
; 0003 009E if(err) return err;
	BRNE _0x208000B
; 0003 009F err=TWI_SendByte(MPU6050_ADDRESS<<1, 0x37,  0b10110000);       //INT_PIN_CFG   -- INT_LEVEL=1 ; INT_OPEN=0 ; LATCH_INT_EN=1 ; INT_RD_CLEAR=1 ; FSYNC_INT_LEVEL=0 ; FSYNC_INT_EN=0 ; I2C_BYPASS_EN=0 ; CLKOUT_EN=0
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(55)
	ST   -Y,R30
	LDI  R26,LOW(176)
	RCALL SUBOPT_0x49
; 0003 00A0 if(err) return err;
	BRNE _0x208000B
; 0003 00A1 err=TWI_SendByte(MPU6050_ADDRESS<<1,  0x38, 0x01);             // DATA_RDY_EN Interrupt =1
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(56)
	ST   -Y,R30
	LDI  R26,LOW(1)
	RCALL SUBOPT_0x49
; 0003 00A2 if(err) return err;
	BRNE _0x208000B
; 0003 00A3 err=TWI_SendByte(MPU6050_ADDRESS<<1,  0x1C, 0x10);             // ACCEL DATA_FORMAT; RANGE 8+-g
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(28)
	ST   -Y,R30
	LDI  R26,LOW(16)
	RCALL _TWI_SendByte
	MOV  R17,R30
; 0003 00A4 return err;
_0x208000B:
	MOV  R30,R17
	LD   R17,Y+
	RET
; 0003 00A5 
; 0003 00A6 }
;//---------------------------------------------------------------------------------------------------
;u_char MPU6050_GetData_Gyro(u_char f_calc)
; 0003 00A9 {
_MPU6050_GetData_Gyro:
; 0003 00AA u_char buff[6];
; 0003 00AB u_char err, i, j;
; 0003 00AC static s_int raw_buff[3];
; 0003 00AD union { u_char ch[2]; s_int i; }da;
; 0003 00AE float fv;
; 0003 00AF 
; 0003 00B0 err=TWI_RecData(MPU6050_ADDRESS<<1, 0x43, buff, 6);
	ST   -Y,R26
	SBIW R28,12
	RCALL __SAVELOCR4
;	f_calc -> Y+16
;	buff -> Y+10
;	err -> R17
;	i -> R16
;	j -> R19
;	da -> Y+8
;	fv -> Y+4
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(67)
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,12
	RCALL SUBOPT_0x4B
; 0003 00B1 if(err) return err;
	BREQ _0x60036
	MOV  R30,R17
	RJMP _0x2080009
; 0003 00B2 for(i=0, j=0; i<3; i++, j+=2)
_0x60036:
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
_0x60038:
	CPI  R16,3
	BRSH _0x60039
; 0003 00B3   {
; 0003 00B4   da.ch[1]=buff[j];
	MOV  R30,R19
	RCALL SUBOPT_0x4C
	STD  Y+9,R30
; 0003 00B5   da.ch[0]=(u_char)buff[j+1];
	MOV  R30,R19
	SUBI R30,-LOW(1)
	RCALL SUBOPT_0x4C
	STD  Y+8,R30
; 0003 00B6   if(!f_calc) raw_buff[i]=da.i;
	LDD  R30,Y+16
	CPI  R30,0
	BRNE _0x6003A
	RCALL SUBOPT_0x4D
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	STD  Z+0,R26
	STD  Z+1,R27
; 0003 00B7   else
	RJMP _0x6003B
_0x6003A:
; 0003 00B8     {
; 0003 00B9     raw_buff[i]+=da.i;
	RCALL SUBOPT_0x4D
	MOVW R0,R30
	MOVW R26,R30
	RCALL __GETW1P
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	RCALL SUBOPT_0x14
	MOVW R26,R0
	ST   X+,R30
	ST   X,R31
; 0003 00BA     fv=(float)raw_buff[i];
	MOV  R30,R16
	LDI  R26,LOW(_raw_buff_S0030005000)
	LDI  R27,HIGH(_raw_buff_S0030005000)
	RCALL SUBOPT_0xC
	LSL  R30
	ROL  R31
	RCALL SUBOPT_0x31
	RCALL __GETW1P
	RCALL SUBOPT_0x4E
	__PUTD1S 4
; 0003 00BB     gSensorData.Gyro[i]=fv*gCnfData.K_GyroGain;
	MOV  R30,R16
	LDI  R26,LOW(_gSensorData)
	LDI  R27,HIGH(_gSensorData)
	RCALL SUBOPT_0x22
	PUSH R31
	PUSH R30
	__GETD1MN _gCnfData,17
	RCALL SUBOPT_0x24
	RCALL __MULF12
	POP  R26
	POP  R27
	RCALL __PUTDP1
; 0003 00BC     }
_0x6003B:
; 0003 00BD   }
	SUBI R16,-1
	SUBI R19,-LOW(2)
	RJMP _0x60038
_0x60039:
; 0003 00BE return 0;
	LDI  R30,LOW(0)
_0x2080009:
	RCALL __LOADLOCR4
_0x208000A:
	ADIW R28,17
	RET
; 0003 00BF }
;//---------------------------------------------------------------------------------------------------
;//--- ACC ---
;//---------------------------------------------------------------------------------------------------
;
;#define ACC_OFFSET_X 0 //  0!!
;#define ACC_OFFSET_Y 0 //  0!!
;#define ACC_OFFSET_Z 0 //  0!!
;
;
;u_char MPU6050_GetData_Acc(void)
; 0003 00CA 
; 0003 00CB {
_MPU6050_GetData_Acc:
; 0003 00CC u_char buff[6];
; 0003 00CD u_char err;
; 0003 00CE static s_int raw_buff[3];
; 0003 00CF union { u_char ch[2]; s_int i; }da;
; 0003 00D0 float fv;
; 0003 00D1 err=TWI_RecData(MPU6050_ADDRESS<<1, 0x3B, buff, 6);
	SBIW R28,12
	ST   -Y,R17
;	buff -> Y+7
;	err -> R17
;	da -> Y+5
;	fv -> Y+1
	RCALL SUBOPT_0x4A
	LDI  R30,LOW(59)
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,9
	RCALL SUBOPT_0x4B
; 0003 00D2 if(err) return err;
	BREQ _0x6003C
	MOV  R30,R17
	RJMP _0x2080008
; 0003 00D3 
; 0003 00D4   da.ch[1]=buff[0];
_0x6003C:
	LDD  R30,Y+7
	STD  Y+6,R30
; 0003 00D5   da.ch[0]=(u_char)buff[1];
	LDD  R30,Y+8
	RCALL SUBOPT_0x4F
; 0003 00D6   raw_buff[0]=da.i>>4;
; 0003 00D7   fv=(float)raw_buff[0];
; 0003 00D8   gSensorData.Accel[0]=(fv+ACC_OFFSET_X)/gCnfData.K_AccelGravity;      // ---X
	__PUTD1MN _gSensorData,12
; 0003 00D9 
; 0003 00DA  da.ch[1]=buff[2];
	LDD  R30,Y+9
	STD  Y+6,R30
; 0003 00DB   da.ch[0]=(u_char)buff[3];
	LDD  R30,Y+10
	RCALL SUBOPT_0x4F
; 0003 00DC   raw_buff[0]=da.i>>4;
; 0003 00DD   fv=(float)raw_buff[0];
; 0003 00DE   gSensorData.Accel[1]=(fv+ACC_OFFSET_Y)/gCnfData.K_AccelGravity;      // ---Y
	__PUTD1MN _gSensorData,16
; 0003 00DF 
; 0003 00E0   da.ch[1]=buff[4];
	LDD  R30,Y+11
	STD  Y+6,R30
; 0003 00E1   da.ch[0]=(u_char)buff[5];
	LDD  R30,Y+12
	RCALL SUBOPT_0x4F
; 0003 00E2   raw_buff[0]=da.i>>4;
; 0003 00E3   fv=(float)raw_buff[0];
; 0003 00E4   gSensorData.Accel[2]=(fv+ACC_OFFSET_Z)/gCnfData.K_AccelGravity;      // ---Z
	__PUTD1MN _gSensorData,20
; 0003 00E5 
; 0003 00E6  return 0;
	LDI  R30,LOW(0)
_0x2080008:
	LDD  R17,Y+0
	ADIW R28,13
	RET
; 0003 00E7 }
;/*
;//---------------------------------------------------------------------------------------------------
;//---  HMC5883 ---
;//---------------------------------------------------------------------------------------------------
;#define  HMC5883_ADDRESS 0x1E
;#define  HMC5883_OFFSET_X 25
;#define  HMC5883_OFFSET_Y 71
;#define  HMC5883_OFFSET_Z -10
;//---------------------------------------------------------------------------------------------------
;u_char HMC5883_Init()
;{
;u_char err;
;
;err=TWI_SendByte(HMC5883_ADDRESS<<1, 0, 0x70);//ConfigRegA;8bt, 15Hz
;if(err) return err;
;err=TWI_SendByte(HMC5883_ADDRESS<<1, 0x2, 0x01);//ModeRegister; Single-Measurement.
;return err;
;}
;//---------------------------------------------------------------------------------------------------
;u_char HMC5883_GetData(void)
;{
;u_char buff[6];
;union { u_char ch[2]; s_int i; }da;
;u_char err, i, j;
;static u_char ind[]={ 0, 2, 1};
;static s_int offset[]={ HMC5883_OFFSET_X, HMC5883_OFFSET_Z, HMC5883_OFFSET_Y };
;
;err=TWI_RecData(HMC5883_ADDRESS<<1, 0x3, buff, 6);
;if(err) return err;
;for(i=0, j=0; i<3; i++, j+=2)
;  {
;  da.ch[1]=buff[j];
;  da.ch[0]=(u_char)buff[j+1];
;  da.i+=offset[i];
;  gSensorData.Compass[ind[i]]=(float)da.i;
;  }
;err=TWI_SendByte(HMC5883_ADDRESS<<1, 0x2, 0x01);//ModeRegister; Single-Measurement.
;return err;
;}
;//---------------------------------------------------------------------------------------------------
;*/
;
;

	.CSEG
_memcpy:
	RCALL SUBOPT_0x18
    ldd  r25,y+1
    ld   r24,y
    adiw r24,0
    breq memcpy1
    ldd  r27,y+5
    ldd  r26,y+4
    ldd  r31,y+3
    ldd  r30,y+2
memcpy0:
    ld   r22,z+
    st   x+,r22
    sbiw r24,1
    brne memcpy0
memcpy1:
    ldd  r31,y+5
    ldd  r30,y+4
_0x2080007:
	ADIW R28,6
	RET

	.CSEG
_xatan:
	RCALL __PUTPARD2
	RCALL SUBOPT_0x50
	RCALL SUBOPT_0x24
	RCALL __MULF12
	RCALL SUBOPT_0x51
	RCALL SUBOPT_0x52
	__GETD2N 0x40CBD065
	RCALL SUBOPT_0x53
	RCALL SUBOPT_0x24
	RCALL __MULF12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x52
	__GETD2N 0x41296D00
	RCALL __ADDF12
	RCALL SUBOPT_0x54
	RCALL SUBOPT_0x53
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __DIVF21
_0x2080006:
	ADIW R28,8
	RET
_yatan:
	RCALL __PUTPARD2
	RCALL SUBOPT_0x54
	__GETD1N 0x3ED413CD
	RCALL __CMPF12
	BRSH _0x2020020
	RCALL SUBOPT_0x54
	RCALL _xatan
	RJMP _0x2080005
_0x2020020:
	RCALL SUBOPT_0x54
	__GETD1N 0x401A827A
	RCALL __CMPF12
	BREQ PC+2
	BRCC PC+2
	RJMP _0x2020021
	RCALL SUBOPT_0x52
	RCALL SUBOPT_0x34
	RCALL __DIVF21
	RCALL SUBOPT_0x45
	RCALL _xatan
	RCALL SUBOPT_0x55
	RJMP _0x2080005
_0x2020021:
	RCALL SUBOPT_0x52
	RCALL SUBOPT_0x34
	RCALL __SUBF12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	RCALL SUBOPT_0x52
	RCALL SUBOPT_0x34
	RCALL __ADDF12
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	RCALL __DIVF21
	RCALL SUBOPT_0x45
	RCALL _xatan
	__GETD2N 0x3F490FDB
	RCALL __ADDF12
_0x2080005:
	ADIW R28,4
	RET
_asin:
	RCALL __PUTPARD2
	SBIW R28,4
	ST   -Y,R17
	LDI  R17,0
	RCALL SUBOPT_0x39
	__GETD1N 0xBF800000
	RCALL __CMPF12
	BRLO _0x2020023
	RCALL SUBOPT_0x39
	RCALL SUBOPT_0x36
	RCALL __CMPF12
	BREQ PC+3
	BRCS PC+2
	RJMP _0x2020023
	RJMP _0x2020022
_0x2020023:
	RCALL SUBOPT_0x56
	RJMP _0x2080002
_0x2020022:
	LDD  R26,Y+8
	TST  R26
	BRPL _0x2020025
	RCALL SUBOPT_0x3C
	RCALL __ANEGF1
	RCALL SUBOPT_0x26
	LDI  R17,LOW(1)
_0x2020025:
	RCALL SUBOPT_0x3C
	RCALL SUBOPT_0x39
	RCALL __MULF12
	RCALL SUBOPT_0x34
	RCALL SUBOPT_0x1F
	RCALL SUBOPT_0x45
	RCALL _sqrt
	RCALL SUBOPT_0x25
	RCALL SUBOPT_0x39
	__GETD1N 0x3F3504F3
	RCALL __CMPF12
	BREQ PC+2
	BRCC PC+2
	RJMP _0x2020026
	RCALL SUBOPT_0x3C
	RCALL SUBOPT_0x17
	RCALL __DIVF21
	RCALL SUBOPT_0x57
	RCALL SUBOPT_0x55
	RJMP _0x2020035
_0x2020026:
	RCALL SUBOPT_0x40
	RCALL SUBOPT_0x39
	RCALL __DIVF21
	RCALL SUBOPT_0x57
_0x2020035:
	__PUTD1S 1
	CPI  R17,0
	BREQ _0x2020028
	RCALL SUBOPT_0x40
	RCALL __ANEGF1
	RJMP _0x2080002
_0x2020028:
_0x2080004:
	__GETD1S 1
_0x2080002:
	LDD  R17,Y+0
_0x2080003:
	ADIW R28,9
	RET
_atan2:
	RCALL __PUTPARD2
	RCALL SUBOPT_0x50
	RCALL __CPD10
	BRNE _0x202002D
	RCALL SUBOPT_0x23
	RCALL __CPD10
	BRNE _0x202002E
	RCALL SUBOPT_0x56
	RJMP _0x2080001
_0x202002E:
	RCALL SUBOPT_0x58
	RCALL __CPD02
	BRGE _0x202002F
	__GETD1N 0x3FC90FDB
	RJMP _0x2080001
_0x202002F:
	__GETD1N 0xBFC90FDB
	RJMP _0x2080001
_0x202002D:
	__GETD1S 4
	RCALL SUBOPT_0x58
	RCALL __DIVF21
	RCALL SUBOPT_0x51
	RCALL SUBOPT_0x24
	RCALL __CPD02
	BRGE _0x2020030
	LDD  R26,Y+11
	TST  R26
	BRMI _0x2020031
	RCALL SUBOPT_0x54
	RCALL _yatan
	RJMP _0x2080001
_0x2020031:
	RCALL SUBOPT_0x52
	RCALL __ANEGF1
	RCALL SUBOPT_0x57
	RCALL __ANEGF1
	RJMP _0x2080001
_0x2020030:
	LDD  R26,Y+11
	TST  R26
	BRMI _0x2020032
	RCALL SUBOPT_0x52
	RCALL __ANEGF1
	RCALL SUBOPT_0x57
	__GETD2N 0x40490FDB
	RCALL SUBOPT_0x1F
	RJMP _0x2080001
_0x2020032:
	RCALL SUBOPT_0x54
	RCALL _yatan
	__GETD2N 0xC0490FDB
	RCALL __ADDF12
_0x2080001:
	ADIW R28,12
	RET

	.CSEG

	.DSEG

	.CSEG

	.CSEG

	.DSEG
_gSensorData:
	.BYTE 0x24
_gIMU_Data:
	.BYTE 0xB
_gCnfData:
	.BYTE 0x19

	.ESEG
_EEP_CnfData:
	.BYTE 0x19

	.DSEG
_div1_S0000001000:
	.BYTE 0x1
_gIMU_DataS:
	.BYTE 0xB
_gSendUartBuff:
	.BYTE 0x45
_gRecUartState:
	.BYTE 0x1
_gRecUartCRC:
	.BYTE 0x1
_gRecUartBuff:
	.BYTE 0x20
_Omega_I:
	.BYTE 0xC
_Omega_P:
	.BYTE 0xC
_Omega:
	.BYTE 0xC
_gAccel:
	.BYTE 0xC
_DCM_Matrix:
	.BYTE 0x24
_cn_c_S0020007000:
	.BYTE 0x1
_Z_Matrix_S0020007000:
	.BYTE 0xC
_raw_buff_S0030005000:
	.BYTE 0x6
_raw_buff_S0030006000:
	.BYTE 0x6
__seed_G102:
	.BYTE 0x4

	.CSEG
;OPTIMIZER ADDED SUBROUTINE, CALLED 44 TIMES, CODE SIZE REDUCTION:41 WORDS
SUBOPT_0x0:
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x1:
	LDI  R27,0
	RJMP _delay_ms

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x2:
	ST   -Y,R0
	ST   -Y,R1
	ST   -Y,R15
	ST   -Y,R22
	ST   -Y,R23
	ST   -Y,R24
	ST   -Y,R25
	ST   -Y,R26
	ST   -Y,R27
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
	ST   -Y,R17
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 14 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x3:
	MOV  R17,R30
	CPI  R17,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x4:
	ST   -Y,R30
	ST   -Y,R17
	MOV  R26,R5
	RJMP _StopFromErros

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x5:
	__GETB1MN _gIMU_Data,9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x6:
	LD   R17,Y+
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	LD   R27,Y+
	LD   R26,Y+
	LD   R25,Y+
	LD   R24,Y+
	LD   R23,Y+
	LD   R22,Y+
	LD   R15,Y+
	LD   R1,Y+
	LD   R0,Y+
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x7:
	__ADDWRN 18,19,1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x8:
	__GETD1N 0x3F000000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x9:
	__GETD1N 0x3B03126F
	RCALL __EEPROMWRD
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xA:
	LDI  R26,LOW(100)
	RJMP SUBOPT_0x1

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0xB:
	MOV  R30,R16
	LDI  R31,0
	RCALL __LSLW2
	ADD  R26,R30
	ADC  R27,R31
	__GETD1N 0x3F800000
	RCALL __PUTDP1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 28 TIMES, CODE SIZE REDUCTION:52 WORDS
SUBOPT_0xC:
	LDI  R31,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xD:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	CLR  R30
	ADD  R26,R16
	ADC  R27,R30
	LD   R30,X
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0xE:
	LDS  R30,_gRecUartState
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xF:
	RCALL SUBOPT_0xE
	SUBI R30,-LOW(1)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x10:
	STS  _gRecUartState,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x11:
	MOV  R30,R17
	LDS  R26,_gRecUartCRC
	EOR  R30,R26
	STS  _gRecUartCRC,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x12:
	LDI  R27,0
	RJMP _memcpy

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x13:
	MOV  R30,R17
	LDD  R26,Y+7
	LDD  R27,Y+7+1
	RCALL SUBOPT_0xC
	RCALL __LSLW2
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x14:
	ADD  R30,R26
	ADC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x15:
	MOV  R30,R17
	LDD  R26,Y+5
	LDD  R27,Y+5+1
	RCALL SUBOPT_0xC
	RCALL __LSLW2
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:18 WORDS
SUBOPT_0x16:
	ADD  R26,R30
	ADC  R27,R31
	RCALL __GETD1P
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0x17:
	__GETD2S 1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x18:
	ST   -Y,R27
	ST   -Y,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:8 WORDS
SUBOPT_0x19:
	RCALL SUBOPT_0xC
	RCALL __LSLW2
	RJMP SUBOPT_0x16

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x1A:
	RCALL __ADDF12
	__PUTD1S 1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1B:
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x1C:
	__GETD2Z 4
	MOVW R0,R26
	LD   R26,Y
	LDD  R27,Y+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x1D:
	RCALL __GETD1P
	MOVW R26,R0
	RCALL __MULF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x1E:
	RCALL SUBOPT_0x1B
	__GETD2Z 8
	MOVW R0,R26
	LD   R26,Y
	LDD  R27,Y+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x1F:
	RCALL __SWAPD12
	RCALL __SUBF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x20:
	RCALL __LSLW2
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x21:
	LDI  R26,LOW(12)
	LDI  R27,HIGH(12)
	RCALL __MULW12U
	MOVW R26,R22
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x22:
	RCALL SUBOPT_0xC
	RJMP SUBOPT_0x20

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x23:
	__GETD1S 8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:10 WORDS
SUBOPT_0x24:
	__GETD2S 4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:22 WORDS
SUBOPT_0x25:
	__PUTD1S 1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:10 WORDS
SUBOPT_0x26:
	__PUTD1S 5
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x27:
	__GETD1MN _Omega,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x28:
	__PUTD1S 9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x29:
	__GETD1MN _Omega,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2A:
	__PUTD1S 13
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x2B:
	__GETD2N 0x41100000
	RCALL __MULF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x2C:
	RCALL __ADDF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x41200000
	RCALL __DIVF21
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x2D:
	LDI  R30,LOW(_DCM_Matrix)
	LDI  R31,HIGH(_DCM_Matrix)
	RJMP SUBOPT_0x0

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2E:
	__GETD2N 0x3F000000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x2F:
	__GETD2S 46
	RJMP _Vector_Scale

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x30:
	RCALL SUBOPT_0x0
	MOVW R30,R28
	ADIW R30,8
	RJMP SUBOPT_0x0

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x31:
	ADD  R26,R30
	ADC  R27,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x32:
	RCALL _Vector_Dot_Product
	MOVW R26,R30
	MOVW R24,R22
	RJMP _sqrt

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x33:
	__GETD2S 2
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:31 WORDS
SUBOPT_0x34:
	__GETD2N 0x3F800000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x35:
	RCALL __DIVF21
	MOVW R26,R30
	MOVW R24,R22
	RJMP _Vector_Scale

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x36:
	__GETD1N 0x3F800000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:33 WORDS
SUBOPT_0x37:
	__GETD2N 0x0
	RCALL __PUTDZ20
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:10 WORDS
SUBOPT_0x38:
	RCALL SUBOPT_0x34
	RCALL __PUTDZ20
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:28 WORDS
SUBOPT_0x39:
	__GETD2S 5
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x3A:
	__GETD1N 0xBF000000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x3B:
	RCALL SUBOPT_0x39
	__GETD1N 0x42C80000
	RCALL __MULF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:10 WORDS
SUBOPT_0x3C:
	__GETD1S 5
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x3D:
	__GETD1N 0x42C80000
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x3E:
	MOVW R30,R28
	ADIW R30,29
	RJMP SUBOPT_0x0

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x3F:
	__GETD2S 13
	RCALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	RJMP _Vector_Scale

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0x40:
	__GETD1S 1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x41:
	__GETD2N 0xBCA3D70A
	RCALL __MULF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x42:
	__GETD2N 0x3CA3D70A
	RCALL __MULF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x43:
	LDS  R30,_Omega
	LDS  R31,_Omega+1
	LDS  R22,_Omega+2
	LDS  R23,_Omega+3
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x44:
	RCALL _atan2
	__GETD2N 0x43340000
	RCALL __MULF12
	MOVW R26,R30
	MOVW R24,R22
	__GETD1N 0x40490FD0
	RCALL __DIVF21
	RCALL __CFD1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:8 WORDS
SUBOPT_0x45:
	MOVW R26,R30
	MOVW R24,R22
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:10 WORDS
SUBOPT_0x46:
	IN   R30,0x1
	ANDI R30,LOW(0xF8)
	MOV  R5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x47:
	OUT  0x3,R30
	LDI  R30,LOW(132)
	OUT  0x36,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x48:
	LDI  R30,LOW(208)
	ST   -Y,R30
	LDI  R30,LOW(107)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x49:
	RCALL _TWI_SendByte
	RJMP SUBOPT_0x3

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x4A:
	LDI  R30,LOW(208)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4B:
	RCALL SUBOPT_0x0
	LDI  R26,LOW(6)
	RCALL _TWI_RecData
	RJMP SUBOPT_0x3

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x4C:
	RCALL SUBOPT_0xC
	MOVW R26,R28
	ADIW R26,10
	RCALL SUBOPT_0x31
	LD   R30,X
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x4D:
	MOV  R30,R16
	LDI  R26,LOW(_raw_buff_S0030005000)
	LDI  R27,HIGH(_raw_buff_S0030005000)
	RCALL SUBOPT_0xC
	LSL  R30
	ROL  R31
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x4E:
	RCALL __CWD1
	RCALL __CDF1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:56 WORDS
SUBOPT_0x4F:
	STD  Y+5,R30
	LDD  R30,Y+5
	LDD  R31,Y+5+1
	RCALL __ASRW4
	STS  _raw_buff_S0030006000,R30
	STS  _raw_buff_S0030006000+1,R31
	RCALL SUBOPT_0x4E
	RCALL SUBOPT_0x25
	RCALL SUBOPT_0x40
	__GETD2N 0x0
	RCALL __ADDF12
	RCALL SUBOPT_0x45
	__GETD1MN _gCnfData,13
	RCALL __DIVF21
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x50:
	SBIW R28,4
	__GETD1S 4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x51:
	RCALL __PUTD1S0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0x52:
	RCALL __GETD1S0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x53:
	RCALL __MULF12
	__GETD2N 0x414A8F4E
	RCALL __ADDF12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x54:
	RCALL __GETD2S0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x55:
	__GETD2N 0x3FC90FDB
	RJMP SUBOPT_0x1F

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x56:
	__GETD1N 0x7F7FFFFF
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x57:
	RCALL SUBOPT_0x45
	RJMP _yatan

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x58:
	__GETD2S 8
	RET


	.CSEG
_delay_ms:
	adiw r26,0
	breq __delay_ms1
__delay_ms0:
	__DELAY_USW 0xFA0
	wdr
	sbiw r26,1
	brne __delay_ms0
__delay_ms1:
	ret

__ANEGF1:
	SBIW R30,0
	SBCI R22,0
	SBCI R23,0
	BREQ __ANEGF10
	SUBI R23,0x80
__ANEGF10:
	RET

__ROUND_REPACK:
	TST  R21
	BRPL __REPACK
	CPI  R21,0x80
	BRNE __ROUND_REPACK0
	SBRS R30,0
	RJMP __REPACK
__ROUND_REPACK0:
	ADIW R30,1
	ADC  R22,R25
	ADC  R23,R25
	BRVS __REPACK1

__REPACK:
	LDI  R21,0x80
	EOR  R21,R23
	BRNE __REPACK0
	PUSH R21
	RJMP __ZERORES
__REPACK0:
	CPI  R21,0xFF
	BREQ __REPACK1
	LSL  R22
	LSL  R0
	ROR  R21
	ROR  R22
	MOV  R23,R21
	RET
__REPACK1:
	PUSH R21
	TST  R0
	BRMI __REPACK2
	RJMP __MAXRES
__REPACK2:
	RJMP __MINRES

__UNPACK:
	LDI  R21,0x80
	MOV  R1,R25
	AND  R1,R21
	LSL  R24
	ROL  R25
	EOR  R25,R21
	LSL  R21
	ROR  R24

__UNPACK1:
	LDI  R21,0x80
	MOV  R0,R23
	AND  R0,R21
	LSL  R22
	ROL  R23
	EOR  R23,R21
	LSL  R21
	ROR  R22
	RET

__CFD1U:
	SET
	RJMP __CFD1U0
__CFD1:
	CLT
__CFD1U0:
	PUSH R21
	RCALL __UNPACK1
	CPI  R23,0x80
	BRLO __CFD10
	CPI  R23,0xFF
	BRCC __CFD10
	RJMP __ZERORES
__CFD10:
	LDI  R21,22
	SUB  R21,R23
	BRPL __CFD11
	NEG  R21
	CPI  R21,8
	BRTC __CFD19
	CPI  R21,9
__CFD19:
	BRLO __CFD17
	SER  R30
	SER  R31
	SER  R22
	LDI  R23,0x7F
	BLD  R23,7
	RJMP __CFD15
__CFD17:
	CLR  R23
	TST  R21
	BREQ __CFD15
__CFD18:
	LSL  R30
	ROL  R31
	ROL  R22
	ROL  R23
	DEC  R21
	BRNE __CFD18
	RJMP __CFD15
__CFD11:
	CLR  R23
__CFD12:
	CPI  R21,8
	BRLO __CFD13
	MOV  R30,R31
	MOV  R31,R22
	MOV  R22,R23
	SUBI R21,8
	RJMP __CFD12
__CFD13:
	TST  R21
	BREQ __CFD15
__CFD14:
	LSR  R23
	ROR  R22
	ROR  R31
	ROR  R30
	DEC  R21
	BRNE __CFD14
__CFD15:
	TST  R0
	BRPL __CFD16
	RCALL __ANEGD1
__CFD16:
	POP  R21
	RET

__CDF1U:
	SET
	RJMP __CDF1U0
__CDF1:
	CLT
__CDF1U0:
	SBIW R30,0
	SBCI R22,0
	SBCI R23,0
	BREQ __CDF10
	CLR  R0
	BRTS __CDF11
	TST  R23
	BRPL __CDF11
	COM  R0
	RCALL __ANEGD1
__CDF11:
	MOV  R1,R23
	LDI  R23,30
	TST  R1
__CDF12:
	BRMI __CDF13
	DEC  R23
	LSL  R30
	ROL  R31
	ROL  R22
	ROL  R1
	RJMP __CDF12
__CDF13:
	MOV  R30,R31
	MOV  R31,R22
	MOV  R22,R1
	PUSH R21
	RCALL __REPACK
	POP  R21
__CDF10:
	RET

__SWAPACC:
	PUSH R20
	MOVW R20,R30
	MOVW R30,R26
	MOVW R26,R20
	MOVW R20,R22
	MOVW R22,R24
	MOVW R24,R20
	MOV  R20,R0
	MOV  R0,R1
	MOV  R1,R20
	POP  R20
	RET

__UADD12:
	ADD  R30,R26
	ADC  R31,R27
	ADC  R22,R24
	RET

__NEGMAN1:
	COM  R30
	COM  R31
	COM  R22
	SUBI R30,-1
	SBCI R31,-1
	SBCI R22,-1
	RET

__SUBF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R25,0x80
	BREQ __ADDF129
	LDI  R21,0x80
	EOR  R1,R21

	RJMP __ADDF120

__ADDF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R25,0x80
	BREQ __ADDF129

__ADDF120:
	CPI  R23,0x80
	BREQ __ADDF128
__ADDF121:
	MOV  R21,R23
	SUB  R21,R25
	BRVS __ADDF1211
	BRPL __ADDF122
	RCALL __SWAPACC
	RJMP __ADDF121
__ADDF122:
	CPI  R21,24
	BRLO __ADDF123
	CLR  R26
	CLR  R27
	CLR  R24
__ADDF123:
	CPI  R21,8
	BRLO __ADDF124
	MOV  R26,R27
	MOV  R27,R24
	CLR  R24
	SUBI R21,8
	RJMP __ADDF123
__ADDF124:
	TST  R21
	BREQ __ADDF126
__ADDF125:
	LSR  R24
	ROR  R27
	ROR  R26
	DEC  R21
	BRNE __ADDF125
__ADDF126:
	MOV  R21,R0
	EOR  R21,R1
	BRMI __ADDF127
	RCALL __UADD12
	BRCC __ADDF129
	ROR  R22
	ROR  R31
	ROR  R30
	INC  R23
	BRVC __ADDF129
	RJMP __MAXRES
__ADDF128:
	RCALL __SWAPACC
__ADDF129:
	RCALL __REPACK
	POP  R21
	RET
__ADDF1211:
	BRCC __ADDF128
	RJMP __ADDF129
__ADDF127:
	SUB  R30,R26
	SBC  R31,R27
	SBC  R22,R24
	BREQ __ZERORES
	BRCC __ADDF1210
	COM  R0
	RCALL __NEGMAN1
__ADDF1210:
	TST  R22
	BRMI __ADDF129
	LSL  R30
	ROL  R31
	ROL  R22
	DEC  R23
	BRVC __ADDF1210

__ZERORES:
	CLR  R30
	CLR  R31
	CLR  R22
	CLR  R23
	POP  R21
	RET

__MINRES:
	SER  R30
	SER  R31
	LDI  R22,0x7F
	SER  R23
	POP  R21
	RET

__MAXRES:
	SER  R30
	SER  R31
	LDI  R22,0x7F
	LDI  R23,0x7F
	POP  R21
	RET

__MULF12:
	PUSH R21
	RCALL __UNPACK
	CPI  R23,0x80
	BREQ __ZERORES
	CPI  R25,0x80
	BREQ __ZERORES
	EOR  R0,R1
	SEC
	ADC  R23,R25
	BRVC __MULF124
	BRLT __ZERORES
__MULF125:
	TST  R0
	BRMI __MINRES
	RJMP __MAXRES
__MULF124:
	PUSH R0
	PUSH R17
	PUSH R18
	PUSH R19
	PUSH R20
	CLR  R17
	CLR  R18
	CLR  R25
	MUL  R22,R24
	MOVW R20,R0
	MUL  R24,R31
	MOV  R19,R0
	ADD  R20,R1
	ADC  R21,R25
	MUL  R22,R27
	ADD  R19,R0
	ADC  R20,R1
	ADC  R21,R25
	MUL  R24,R30
	RCALL __MULF126
	MUL  R27,R31
	RCALL __MULF126
	MUL  R22,R26
	RCALL __MULF126
	MUL  R27,R30
	RCALL __MULF127
	MUL  R26,R31
	RCALL __MULF127
	MUL  R26,R30
	ADD  R17,R1
	ADC  R18,R25
	ADC  R19,R25
	ADC  R20,R25
	ADC  R21,R25
	MOV  R30,R19
	MOV  R31,R20
	MOV  R22,R21
	MOV  R21,R18
	POP  R20
	POP  R19
	POP  R18
	POP  R17
	POP  R0
	TST  R22
	BRMI __MULF122
	LSL  R21
	ROL  R30
	ROL  R31
	ROL  R22
	RJMP __MULF123
__MULF122:
	INC  R23
	BRVS __MULF125
__MULF123:
	RCALL __ROUND_REPACK
	POP  R21
	RET

__MULF127:
	ADD  R17,R0
	ADC  R18,R1
	ADC  R19,R25
	RJMP __MULF128
__MULF126:
	ADD  R18,R0
	ADC  R19,R1
__MULF128:
	ADC  R20,R25
	ADC  R21,R25
	RET

__DIVF21:
	PUSH R21
	RCALL __UNPACK
	CPI  R23,0x80
	BRNE __DIVF210
	TST  R1
__DIVF211:
	BRPL __DIVF219
	RJMP __MINRES
__DIVF219:
	RJMP __MAXRES
__DIVF210:
	CPI  R25,0x80
	BRNE __DIVF218
__DIVF217:
	RJMP __ZERORES
__DIVF218:
	EOR  R0,R1
	SEC
	SBC  R25,R23
	BRVC __DIVF216
	BRLT __DIVF217
	TST  R0
	RJMP __DIVF211
__DIVF216:
	MOV  R23,R25
	PUSH R17
	PUSH R18
	PUSH R19
	PUSH R20
	CLR  R1
	CLR  R17
	CLR  R18
	CLR  R19
	CLR  R20
	CLR  R21
	LDI  R25,32
__DIVF212:
	CP   R26,R30
	CPC  R27,R31
	CPC  R24,R22
	CPC  R20,R17
	BRLO __DIVF213
	SUB  R26,R30
	SBC  R27,R31
	SBC  R24,R22
	SBC  R20,R17
	SEC
	RJMP __DIVF214
__DIVF213:
	CLC
__DIVF214:
	ROL  R21
	ROL  R18
	ROL  R19
	ROL  R1
	ROL  R26
	ROL  R27
	ROL  R24
	ROL  R20
	DEC  R25
	BRNE __DIVF212
	MOVW R30,R18
	MOV  R22,R1
	POP  R20
	POP  R19
	POP  R18
	POP  R17
	TST  R22
	BRMI __DIVF215
	LSL  R21
	ROL  R30
	ROL  R31
	ROL  R22
	DEC  R23
	BRVS __DIVF217
__DIVF215:
	RCALL __ROUND_REPACK
	POP  R21
	RET

__CMPF12:
	TST  R25
	BRMI __CMPF120
	TST  R23
	BRMI __CMPF121
	CP   R25,R23
	BRLO __CMPF122
	BRNE __CMPF121
	CP   R26,R30
	CPC  R27,R31
	CPC  R24,R22
	BRLO __CMPF122
	BREQ __CMPF123
__CMPF121:
	CLZ
	CLC
	RET
__CMPF122:
	CLZ
	SEC
	RET
__CMPF123:
	SEZ
	CLC
	RET
__CMPF120:
	TST  R23
	BRPL __CMPF122
	CP   R25,R23
	BRLO __CMPF121
	BRNE __CMPF122
	CP   R30,R26
	CPC  R31,R27
	CPC  R22,R24
	BRLO __CMPF122
	BREQ __CMPF123
	RJMP __CMPF121

_sqrt:
	rcall __PUTPARD2
	sbiw r28,4
	push r21
	ldd  r25,y+7
	tst  r25
	brne __sqrt0
	adiw r28,8
	rjmp __zerores
__sqrt0:
	brpl __sqrt1
	adiw r28,8
	rjmp __maxres
__sqrt1:
	push r20
	ldi  r20,66
	ldd  r24,y+6
	ldd  r27,y+5
	ldd  r26,y+4
__sqrt2:
	st   y,r24
	std  y+1,r25
	std  y+2,r26
	std  y+3,r27
	movw r30,r26
	movw r22,r24
	ldd  r26,y+4
	ldd  r27,y+5
	ldd  r24,y+6
	ldd  r25,y+7
	rcall __divf21
	ld   r24,y
	ldd  r25,y+1
	ldd  r26,y+2
	ldd  r27,y+3
	rcall __addf12
	rcall __unpack1
	dec  r23
	rcall __repack
	ld   r24,y
	ldd  r25,y+1
	ldd  r26,y+2
	ldd  r27,y+3
	eor  r26,r30
	andi r26,0xf8
	brne __sqrt4
	cp   r27,r31
	cpc  r24,r22
	cpc  r25,r23
	breq __sqrt3
__sqrt4:
	dec  r20
	breq __sqrt3
	movw r26,r30
	movw r24,r22
	rjmp __sqrt2
__sqrt3:
	pop  r20
	pop  r21
	adiw r28,8
	ret

__ANEGW1:
	NEG  R31
	NEG  R30
	SBCI R31,0
	RET

__ANEGD1:
	COM  R31
	COM  R22
	COM  R23
	NEG  R30
	SBCI R31,-1
	SBCI R22,-1
	SBCI R23,-1
	RET

__LSLB12:
	TST  R30
	MOV  R0,R30
	MOV  R30,R26
	BREQ __LSLB12R
__LSLB12L:
	LSL  R30
	DEC  R0
	BRNE __LSLB12L
__LSLB12R:
	RET

__LSLW2:
	LSL  R30
	ROL  R31
	LSL  R30
	ROL  R31
	RET

__ASRW4:
	ASR  R31
	ROR  R30
__ASRW3:
	ASR  R31
	ROR  R30
__ASRW2:
	ASR  R31
	ROR  R30
	ASR  R31
	ROR  R30
	RET

__CBD1:
	MOV  R31,R30
	ADD  R31,R31
	SBC  R31,R31
	MOV  R22,R31
	MOV  R23,R31
	RET

__CWD1:
	MOV  R22,R31
	ADD  R22,R22
	SBC  R22,R22
	MOV  R23,R22
	RET

__LNEGB1:
	TST  R30
	LDI  R30,1
	BREQ __LNEGB1F
	CLR  R30
__LNEGB1F:
	RET

__MULW12U:
	MUL  R31,R26
	MOV  R31,R0
	MUL  R30,R27
	ADD  R31,R0
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETD1P:
	LD   R30,X+
	LD   R31,X+
	LD   R22,X+
	LD   R23,X
	SBIW R26,3
	RET

__PUTDP1:
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	RET

__GETD1S0:
	LD   R30,Y
	LDD  R31,Y+1
	LDD  R22,Y+2
	LDD  R23,Y+3
	RET

__GETD2S0:
	LD   R26,Y
	LDD  R27,Y+1
	LDD  R24,Y+2
	LDD  R25,Y+3
	RET

__PUTD1S0:
	ST   Y,R30
	STD  Y+1,R31
	STD  Y+2,R22
	STD  Y+3,R23
	RET

__PUTDZ20:
	ST   Z,R26
	STD  Z+1,R27
	STD  Z+2,R24
	STD  Z+3,R25
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__PUTPARD2:
	ST   -Y,R25
	ST   -Y,R24
	ST   -Y,R27
	ST   -Y,R26
	RET

__SWAPD12:
	MOV  R1,R24
	MOV  R24,R22
	MOV  R22,R1
	MOV  R1,R25
	MOV  R25,R23
	MOV  R23,R1

__SWAPW12:
	MOV  R1,R27
	MOV  R27,R31
	MOV  R31,R1

__SWAPB12:
	MOV  R1,R26
	MOV  R26,R30
	MOV  R30,R1
	RET

__EEPROMRDB:
	SBIC EECR,EEWE
	RJMP __EEPROMRDB
	PUSH R31
	IN   R31,SREG
	CLI
	OUT  EEARL,R26
	OUT  EEARH,R27
	SBI  EECR,EERE
	IN   R30,EEDR
	OUT  SREG,R31
	POP  R31
	RET

__EEPROMWRD:
	RCALL __EEPROMWRW
	ADIW R26,2
	MOVW R0,R30
	MOVW R30,R22
	RCALL __EEPROMWRW
	MOVW R30,R0
	SBIW R26,2
	RET

__EEPROMWRW:
	RCALL __EEPROMWRB
	ADIW R26,1
	PUSH R30
	MOV  R30,R31
	RCALL __EEPROMWRB
	POP  R30
	SBIW R26,1
	RET

__EEPROMWRB:
	SBIS EECR,EEWE
	RJMP __EEPROMWRB1
	WDR
	RJMP __EEPROMWRB
__EEPROMWRB1:
	IN   R25,SREG
	CLI
	OUT  EEARL,R26
	OUT  EEARH,R27
	SBI  EECR,EERE
	IN   R24,EEDR
	CP   R30,R24
	BREQ __EEPROMWRB0
	OUT  EEDR,R30
	SBI  EECR,EEMWE
	SBI  EECR,EEWE
__EEPROMWRB0:
	OUT  SREG,R25
	RET

__COPYMML:
	CLR  R25
__COPYMM:
	PUSH R30
	PUSH R31
__COPYMM0:
	LD   R22,Z+
	ST   X+,R22
	SBIW R24,1
	BRNE __COPYMM0
	POP  R31
	POP  R30
	RET

__COPYMEL:
	CLR  R25
__COPYME:
	PUSH R30
	PUSH R31
__COPYME0:
	WDR
	SBIC EECR,EEWE
	RJMP __COPYME0
	IN   R23,SREG
	CLI
	OUT  EEARL,R30
	OUT  EEARH,R31
	SBI  EECR,EERE
	IN   R22,EEDR
	OUT  SREG,R23
	ADIW R30,1
	ST   X+,R22
	SBIW R24,1
	BRNE __COPYME0
	POP  R31
	POP  R30
	RET

__COPYEML:
	CLR  R23
__COPYEM:
	PUSH R30
	PUSH R31
__COPYEM0:
	LD   R0,Z+
	PUSH R30
	MOV  R30,R0
	RCALL __EEPROMWRB
	POP  R30
	ADIW R26,1
	SUBI R22,1
	SBCI R23,0
	BRNE __COPYEM0
	POP  R31
	POP  R30
	RET

__CPD10:
	SBIW R30,0
	SBCI R22,0
	SBCI R23,0
	RET

__CPD02:
	CLR  R0
	CP   R0,R26
	CPC  R0,R27
	CPC  R0,R24
	CPC  R0,R25
	RET

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

;END OF CODE MARKER
__END_OF_CODE:
